Modify

Ticket #416 (closed Bugs: fixed)

Opened 9 years ago

Last modified 5 years ago

Spelling of Edmonds-Karp-Algorithm

Reported by: nobody Owned by: jhunold
Milestone: Boost 1.38.0 Component: graph
Version: Boost Development Trunk Severity: Showstopper
Keywords: Cc: juergen.hunold@…

Description

Hi,

I know it has been asked on the boost list before, but
not answered: any chance to change all occurences of
"edmunds_karp" into "edmonds_karp"? I am pretty sure
Jack Edmonds would appreciate it ... Its just much
easier to find if spelled correctly.

Regards,
Matthias

(peinhardt AT zib.de)

Attachments

edmunds_karp_max_flow.hpp Download (1.0 KB) - added by jhunold 5 years ago.
edmonds_karp_deprecation_header

Change History

comment:1 Changed 6 years ago by noel_belcourt

  • Owner changed from jsiek to noel_belcourt
  • Status changed from assigned to new
  • Severity set to Showstopper

comment:2 Changed 6 years ago by noel_belcourt

  • Status changed from new to closed
  • Resolution changed from None to fixed

(In [42984]) Fixes #416

Fixed spelling of Jack Edmonds name and renamed files where necessary. Updated the documentation as well. Tested changes by building/running tests in libs/graph/test.

comment:3 Changed 6 years ago by eric_niebler

(In [43519]) Merged revisions 42451-43517 via svnmerge from  https://svn.boost.org/svn/boost/trunk

................

r42455 | johnmaddock | 2008-01-04 08:54:35 -0800 (Fri, 04 Jan 2008) | 1 line

Fix typos.

................

r42456 | eric_niebler | 2008-01-04 09:14:53 -0800 (Fri, 04 Jan 2008) | 1 line

mark up borland and sun accumulators failures

................

r42459 | andreas_huber69 | 2008-01-04 10:23:18 -0800 (Fri, 04 Jan 2008) | 1 line

This should fix template parameter shadowing errors for gcc and Intel compilers.

................

r42462 | bgubenko | 2008-01-04 15:55:43 -0800 (Fri, 04 Jan 2008) | 1 line

mark Accumulators tests for gcc 4.2.1 affected by GCC Bugzilla Bug 33580

................

r42471 | turkanis | 2008-01-04 20:51:49 -0800 (Fri, 04 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42441-42469; added 'std::' for Intel on Linux/Darwin?; added STDCXX workaround for codecvt; fixed docs for invert.hpp

................

r42473 | turkanis | 2008-01-04 23:35:44 -0800 (Fri, 04 Jan 2008) | 1 line

new iostreams expected failures: stream_offset_64bit_test.cpp on Borland, and wide stream tests on gcc-3.4.2_hpux_pa_risc

................

r42475 | andreas_huber69 | 2008-01-05 04:42:02 -0800 (Sat, 05 Jan 2008) | 1 line

Added defaults for in_state_reaction template parameters and updated tests accordingly.

................

r42476 | bemandawes | 2008-01-05 06:41:55 -0800 (Sat, 05 Jan 2008) | 1 line

Disable Microsoft "secure" overloads in Dinkumware libraries since they cause compile errors with Intel versions 9 and 10

................

r42478 | jurko | 2008-01-05 07:19:53 -0800 (Sat, 05 Jan 2008) | 1 line

Typo corrections. Minor stylistic changes.

................

r42479 | jurko | 2008-01-05 08:53:03 -0800 (Sat, 05 Jan 2008) | 1 line

Updated Boost.Jam command line option texts. Minor stylistic changes.

................

r42480 | jurko | 2008-01-05 08:55:36 -0800 (Sat, 05 Jan 2008) | 1 line

Typo corrections. Minor stylistic changes.

................

r42481 | jurko | 2008-01-05 08:56:42 -0800 (Sat, 05 Jan 2008) | 1 line

Typo correction. Corrected an invalid command-line option name.

................

r42482 | jurko | 2008-01-05 08:57:17 -0800 (Sat, 05 Jan 2008) | 1 line

Corrected an invalid command-line option name reference.

................

r42483 | jurko | 2008-01-05 08:58:01 -0800 (Sat, 05 Jan 2008) | 1 line

Corrected an out-of-date comment listing all command-line options.

................

r42484 | jurko | 2008-01-05 09:11:50 -0800 (Sat, 05 Jan 2008) | 1 line

Corrected the used file suffix for the VERBATIM file type. Now the documentation is in sync with the 'customization' example. This also closes the Trac ticket 134. Minor stylistic changes.

................

r42485 | jurko | 2008-01-05 09:46:45 -0800 (Sat, 05 Jan 2008) | 1 line

Stylistic comment changes & typo corrections.

................

r42486 | jurko | 2008-01-05 09:52:31 -0800 (Sat, 05 Jan 2008) | 1 line

Stylistic comment changes & typo corrections in several files. Corrected an incorrect error message in boost-build/build/project.jam displayed when a --build-dir command-line option and a non top-level project build-dir attribute are specified.

................

r42487 | jurko | 2008-01-05 09:54:02 -0800 (Sat, 05 Jan 2008) | 1 line

Cleaned up some import rule calls.

................

r42488 | jurko | 2008-01-05 10:02:23 -0800 (Sat, 05 Jan 2008) | 1 line

Documentation wording cleaned up a bit.

................

r42489 | jurko | 2008-01-05 10:13:10 -0800 (Sat, 05 Jan 2008) | 1 line

Removed or simplified some import calls. Comment updates. Minor stylistic changes.

................

r42490 | jurko | 2008-01-05 10:14:20 -0800 (Sat, 05 Jan 2008) | 2 lines

Simplified the used make rules. Removed some dead code. Minor stylistic changes.

................

r42492 | jurko | 2008-01-05 10:29:36 -0800 (Sat, 05 Jan 2008) | 1 line

Removed trailing spaces and some empty lines.

................

r42494 | jurko | 2008-01-05 12:02:24 -0800 (Sat, 05 Jan 2008) | 1 line

Minor stylistic changes such as: comment typo corrections, wrapping lines to 80 characters, indentations, removing trailing spaces, etc.

................

r42495 | jurko | 2008-01-05 12:06:15 -0800 (Sat, 05 Jan 2008) | 2 lines

Cleaned up where the stage module is imported in tools/builtin.jam. Added a missing import in tools/stage.jam that causes errors with the previous fix. Minor stylistic changes in tools/stage.jam.

................

r42496 | jurko | 2008-01-05 12:14:48 -0800 (Sat, 05 Jan 2008) | 1 line

Comment cleanup.

................

r42497 | jurko | 2008-01-05 12:37:44 -0800 (Sat, 05 Jan 2008) | 1 line

Minor stylistic changes - cleaned up import calls, wrapped much text at 80 characters updated comments, typo corrections, removed trailing spaces, etc.

................

r42498 | jurko | 2008-01-05 12:48:50 -0800 (Sat, 05 Jan 2008) | 1 line

Renamed some Jamfile and project-root.jam references to Jamfile.jam and Jamroot.jam respectively.

................

r42499 | jurko | 2008-01-05 13:37:15 -0800 (Sat, 05 Jan 2008) | 1 line

Test code cleaned up a bit. No functional changes.

................

r42502 | hkaiser | 2008-01-05 14:44:28 -0800 (Sat, 05 Jan 2008) | 1 line

Wave: updated copyright messages to include the year 2008 (merged from release branch).

................

r42504 | jurko | 2008-01-05 15:18:17 -0800 (Sat, 05 Jan 2008) | 1 line

Refactored the test into two separate test functions. Made the 'directory names with dots' test use the expect_output_line() tool instead of a manual find, causing a better diagnostic to be displayed in case of a failure. Made one of the test Jam scripts more compact. Made the test use the Jamroot.jam file instead of project-root.jam.

................

r42505 | bgubenko | 2008-01-05 15:35:05 -0800 (Sat, 05 Jan 2008) | 1 line

mark up accumulators library test weighted_kurtosis for acc toolset

................

r42506 | jurko | 2008-01-05 16:25:48 -0800 (Sat, 05 Jan 2008) | 1 line

No functional changes but only stylistic changes such as: comment typo corrections, wrapping lines to 80 characters, indentations, removing trailing spaces, removing empty lines, made tests use Jamfile.jam and Jamroot.jam Boost Build script names, removed unnecessary module imports, etc.

................

r42507 | jurko | 2008-01-05 16:53:09 -0800 (Sat, 05 Jan 2008) | 1 line

No functional changes but only stylistic changes such as: comment typo corrections, wrapping lines to 80 characters, indentations, removing trailing spaces, removing empty lines, removed unnecessary module imports, etc.

................

r42508 | jurko | 2008-01-05 22:15:39 -0800 (Sat, 05 Jan 2008) | 5 lines

Refactored build-system.jam. Added many detailed comments.

Test configuration module now gets loaded the same as all other configuration modules.

In addition to being able to specify which user configuration to load, user may now also prevent loading the user configuration by specifying an empty file name for it.

................

r42509 | jurko | 2008-01-05 22:50:56 -0800 (Sat, 05 Jan 2008) | 1 line

Added a --test-config command-line option for specifying where the test configuration file should be loaded from instead of always being looked up in Boost Build's test folder. This allows non-test builds to not use test config when it exists on the system and different tests to use different test configurations when needed.

................

r42510 | jurko | 2008-01-05 22:58:24 -0800 (Sat, 05 Jan 2008) | 1 line

Specifying that a build uses test configuration no longer prevents toolset auto-configuration and therefore no longer causes --toolset options to be ignored.

................

r42511 | jurko | 2008-01-05 23:13:28 -0800 (Sat, 05 Jan 2008) | 1 line

Minor stylistic comment changes.

................

r42512 | jurko | 2008-01-05 23:17:08 -0800 (Sat, 05 Jan 2008) | 1 line

Added support for choosing the toolset and toolset version to be used 'by default' by Boost Build. Allows testing of default toolset functionality.

................

r42513 | jurko | 2008-01-05 23:26:46 -0800 (Sat, 05 Jan 2008) | 1 line

Upgraded the tool for testing that a certain line exists in the given output support so that it now also knows how to test that a certain line does not exist in the given output.

................

r42514 | jurko | 2008-01-05 23:28:47 -0800 (Sat, 05 Jan 2008) | 1 line

Added the --ignore-site-config option telling Boost.Build not to load the site configuration file.

................

r42516 | jurko | 2008-01-06 00:16:34 -0800 (Sun, 06 Jan 2008) | 1 line

Stylistic changes: typo corrections, comment alignments, output string updates, no functional changes, etc.

................

r42527 | andreas_huber69 | 2008-01-06 05:49:31 -0800 (Sun, 06 Jan 2008) | 1 line

Various doc updates.

................

r42528 | danieljames | 2008-01-06 08:47:16 -0800 (Sun, 06 Jan 2008) | 2 lines

Add Boost.Unordered and add to the documentation. Not fully integrated yet.

................

r42529 | danieljames | 2008-01-06 08:48:36 -0800 (Sun, 06 Jan 2008) | 1 line

Add more libraries that use Boost.Hash to its intro.

................

r42530 | danieljames | 2008-01-06 08:49:11 -0800 (Sun, 06 Jan 2008) | 1 line

Add Boost.Unordered to Boost.Hash's intro.

................

r42531 | danieljames | 2008-01-06 08:59:18 -0800 (Sun, 06 Jan 2008) | 1 line

Combine the 'container' and 'unordered' tests.

................

r42532 | danieljames | 2008-01-06 08:59:49 -0800 (Sun, 06 Jan 2008) | 1 line

Give the unordered exception test suite its own name.

................

r42533 | danieljames | 2008-01-06 09:13:15 -0800 (Sun, 06 Jan 2008) | 1 line

Add the contents of compile_tests.cpp to set_compile.cpp and map_compile.cpp

................

r42534 | danieljames | 2008-01-06 09:16:51 -0800 (Sun, 06 Jan 2008) | 1 line

Rename the test-suites to match other libraries' style.

................

r42535 | danieljames | 2008-01-06 09:23:16 -0800 (Sun, 06 Jan 2008) | 2 lines

Add forwarding html files for Boost.Unordered.

................

r42536 | danieljames | 2008-01-06 09:40:32 -0800 (Sun, 06 Jan 2008) | 1 line

Add Boost.Unordered to the regression tests.

................

r42537 | eric_niebler | 2008-01-06 09:44:06 -0800 (Sun, 06 Jan 2008) | 1 line

add myself as maintainer of accumulators

................

r42538 | danieljames | 2008-01-06 09:45:18 -0800 (Sun, 06 Jan 2008) | 2 lines

Add library identification.

................

r42539 | danieljames | 2008-01-06 09:48:11 -0800 (Sun, 06 Jan 2008) | 2 lines

Add the unordered library to the maintainers list.

................

r42540 | danieljames | 2008-01-06 09:56:06 -0800 (Sun, 06 Jan 2008) | 2 lines

Add unordered to the library list.

................

r42544 | turkanis | 2008-01-06 10:32:05 -0800 (Sun, 06 Jan 2008) | 18 lines

copy.hpp:

fix for Visual Age: std::min was passed arguments of different types; replaced std:: min with conditional

detail/streambuf/indirect_streambuf.hpp:

removed trailing comma in enum definition

test/combine_test.cpp: test/symmetric_filter_test.cpp: test/compose_test.cpp: test/close_test.cpp: test/invert_test.cpp: test/tee_test.cpp: test/restrict_test.cpp: test/Jamfile.v2:

moved tests for close() into the test files for various adapters

................

r42546 | jurko | 2008-01-06 12:06:33 -0800 (Sun, 06 Jan 2008) | 1 line

Corrected a bug with the customized default toolset being read from the toolset module but defined in the build-system module. Effect was that customized default toolsets were getting ignored.

................

r42547 | jurko | 2008-01-06 12:37:55 -0800 (Sun, 06 Jan 2008) | 1 line

Simple code cleanup. Typo corrections.

................

r42548 | jurko | 2008-01-06 12:43:25 -0800 (Sun, 06 Jan 2008) | 1 line

Added support for tests configuring whether they want their Boost Build to ignore toolset requirements instead of always ignoring them. Minor stylistic changes.

................

r42549 | jurko | 2008-01-06 12:56:20 -0800 (Sun, 06 Jan 2008) | 1 line

Added new tests related to Boost Build's default toolset handling. They test that the correct default toolset gets use and that when it gets used that has no different status than any other explicitly specified toolset.

................

r42563 | turkanis | 2008-01-06 17:26:52 -0800 (Sun, 06 Jan 2008) | 1 line

marked restrict_test.cpp as failing on vacpp and stream_offset_64bit_test as failing on sun (iostreams)

................

r42564 | turkanis | 2008-01-06 17:32:29 -0800 (Sun, 06 Jan 2008) | 1 line

alphabetized the iostreams failures

................

r42565 | turkanis | 2008-01-06 21:20:32 -0800 (Sun, 06 Jan 2008) | 5 lines

merged changes from branches/iostreams_dev, revisions 42544-42544

  • added "slice" as an alias for "restrict", for platforms on which "restrict" is a keyword
  • attempted to configure file_descriptor for IBMCPP
  • added better error output to stream_offset_64bit_test.cpp

................

r42566 | jurko | 2008-01-07 09:00:59 -0800 (Mon, 07 Jan 2008) | 1 line

Corrected explicitly specified user-config file handling. Was not looking for the specified file in the regular path instead of the current folder and did not work with absolute paths.

................

r42567 | jurko | 2008-01-07 10:15:13 -0800 (Mon, 07 Jan 2008) | 1 line

Code cleanup. Converted to using True/False? instead of 1/0. Changed to obey documented coding conventions regarding whitespace and function parameters. Renamed private member functions to use the name prefix.

................

r42568 | jurko | 2008-01-07 10:38:28 -0800 (Mon, 07 Jan 2008) | 1 line

Added a new configuration test making sure that the bug with not being able to process absolute user-config configuration file references never rears its ugly head again.

................

r42570 | eric_niebler | 2008-01-07 11:06:31 -0800 (Mon, 07 Jan 2008) | 1 line

s/order/tail/

................

r42571 | eric_niebler | 2008-01-07 11:08:16 -0800 (Mon, 07 Jan 2008) | 1 line

add missing includes, fix signed/unsigned warnings, clean-up trailing whitespace, fixes #1552

................

r42572 | danieljames | 2008-01-07 11:40:32 -0800 (Mon, 07 Jan 2008) | 1 line

Rename the exception tests so that they don't clash with the normal tests.

................

r42573 | danieljames | 2008-01-07 11:41:05 -0800 (Mon, 07 Jan 2008) | 1 line

Remove some development code.

................

r42575 | danieljames | 2008-01-07 11:44:13 -0800 (Mon, 07 Jan 2008) | 3 lines

Add missing 'use namespace std'. Which I should have done when I was told about them before. Sorry.

................

r42576 | danieljames | 2008-01-07 11:46:27 -0800 (Mon, 07 Jan 2008) | 1 line

Add support for multiple copyrights in the library info.

................

r42578 | danieljames | 2008-01-07 11:51:02 -0800 (Mon, 07 Jan 2008) | 1 line

Reneame the set and map compile tests so they'll be adjacent in the test results.

................

r42580 | danieljames | 2008-01-07 12:06:15 -0800 (Mon, 07 Jan 2008) | 1 line

Avoid some uses of an invalid pointer.

................

r42581 | danieljames | 2008-01-07 12:07:12 -0800 (Mon, 07 Jan 2008) | 1 line

Use the default location for the reference documentation.

................

r42587 | danieljames | 2008-01-07 13:05:42 -0800 (Mon, 07 Jan 2008) | 5 lines

Fix a bug which was causing the memory area stuff to fail.

I should probably try to be less clever and use memory area's lower bounds as the key, and do the extra work required to get that working.

................

r42588 | danieljames | 2008-01-07 13:07:43 -0800 (Mon, 07 Jan 2008) | 1 line

Fix an off by one error.

................

r42591 | danieljames | 2008-01-07 13:47:24 -0800 (Mon, 07 Jan 2008) | 1 line

Merge in spell check.

................

r42596 | turkanis | 2008-01-07 15:13:26 -0800 (Mon, 07 Jan 2008) | 5 lines

merged changes from branches/iostreams_dev, revisions 42565-42595:

  • Simplified implementation with the help to the C-runtime function _get_osfhandle so that on Windows only a single HANDLE is stored and the POSIX-style implementation is never needed; added the handle_type on POSIX systems (typedef for int) and a function returning the underlying handle as an instance of handle_type
  • fixed the bug described in ticket Ticket #1551 (stream_buffer::seekpos ignores openmode parameter)
  • fixed test/operation_sequence_test.cpp file description

................

r42598 | grafik | 2008-01-07 18:49:25 -0800 (Mon, 07 Jan 2008) | 1 line

Mostly fix bad path calc for direct html from doxygen doc generation. (fixes #1562)

................

r42600 | turkanis | 2008-01-07 19:49:23 -0800 (Mon, 07 Jan 2008) | 1 line

merged changes from branches/iostreams_dev revisions 42595-42599; applied Dinkumware implementation of positioning functions to IBM Visual Age; simplified and corrected implementation

................

r42602 | turkanis | 2008-01-07 20:20:38 -0800 (Mon, 07 Jan 2008) | 1 line

removed unneeded headers, one of which (restrict.hpp) causes failures on IBM Visual Age

................

r42603 | turkanis | 2008-01-07 20:52:54 -0800 (Mon, 07 Jan 2008) | 1 line

removed spurious '.cpp' extension from test names (iostreams)

................

r42612 | danieljames | 2008-01-08 05:59:01 -0800 (Tue, 08 Jan 2008) | 3 lines

Merge in latest unordered developments (revisions 42607-42611).

................

r42613 | jurko | 2008-01-08 06:40:24 -0800 (Tue, 08 Jan 2008) | 1 line

Added a new test making sure properties conditioned on multiple different feature values are handled correctly. This especially includes testing the case when one of those features is <toolset> and the value given for it includes a toolset version.

................

r42614 | jurko | 2008-01-08 07:21:15 -0800 (Tue, 08 Jan 2008) | 1 line

Made some debugging messages more consistent.

................

r42615 | eric_niebler | 2008-01-08 09:42:20 -0800 (Tue, 08 Jan 2008) | 1 line

support for LaTeX formulas in Doxygen comments

................

r42616 | eric_niebler | 2008-01-08 09:43:34 -0800 (Tue, 08 Jan 2008) | 1 line

automatically generate png files from LaTeX formulas using doxygen

................

r42617 | jurko | 2008-01-08 09:51:30 -0800 (Tue, 08 Jan 2008) | 1 line

Comment correction.

................

r42619 | danieljames | 2008-01-08 10:15:01 -0800 (Tue, 08 Jan 2008) | 1 line

Merge: Another missing 'using namespace std'

................

r42620 | eric_niebler | 2008-01-08 10:43:43 -0800 (Tue, 08 Jan 2008) | 1 line

fix signed/unsigned warnings, clean up trailing whitespace

................

r42624 | eric_niebler | 2008-01-08 13:40:52 -0800 (Tue, 08 Jan 2008) | 1 line

disable iterator debugging for all msvc versions

................

r42625 | turkanis | 2008-01-08 14:25:01 -0800 (Tue, 08 Jan 2008) | 1 line

merged changes from branches/iostreams_dev, revisions 42602-42624: adding missing included to fix #1550; fix for positioning on IBM; fix for file_descriptor on POSIX; restructed the version range for the Borland workaround in large_file_test.cpp

................

r42626 | jurko | 2008-01-08 17:09:26 -0800 (Tue, 08 Jan 2008) | 1 line

Minor stylistic code indentation changes.

................

r42627 | jurko | 2008-01-08 17:11:03 -0800 (Tue, 08 Jan 2008) | 1 line

Tried trailing spaces. Minor comment typo corrections.

................

r42628 | jurko | 2008-01-08 17:18:38 -0800 (Tue, 08 Jan 2008) | 1 line

Remove trailing spaces. Removed an empty line.

................

r42629 | jurko | 2008-01-08 20:05:29 -0800 (Tue, 08 Jan 2008) | 8 lines

Updated the ACTION_RULE to not return its action command output as a single string but instead split it into a list of output lines. This allows Jam code using this output to work correctly independently of what newline character combinations are in use. This was causing problems with Boost Build unit tests which can now be updated to pass.

Consequences & checks:

  • Final ACTION_RULE rule parameter has changed from output ? to output-lines *.
  • Updated corresponding Jam documentation.
  • Updated the all related Boost Build code.
  • No code on the Boost trunk uses this rule except for Boost Build itself.

................

r42630 | jurko | 2008-01-08 20:15:35 -0800 (Tue, 08 Jan 2008) | 1 line

Fixed a failing test by making it access action output using the ACTION_RULE rule so it would not be affected by the level of debug output given by Boost Build/Jam?.

................

r42631 | jurko | 2008-01-08 20:30:25 -0800 (Tue, 08 Jan 2008) | 1 line

Fixed a failing test by making it access its action results using the ACTION_RULE rule. Now it works with the default debug level settings (i.e. no action output displayed).

................

r42632 | grafik | 2008-01-08 20:31:58 -0800 (Tue, 08 Jan 2008) | 1 line

Revert various changes that break backward compatibility, and also some minor edits.

................

r42633 | grafik | 2008-01-08 20:34:12 -0800 (Tue, 08 Jan 2008) | 1 line

Revert various changes that break backward compatibility, and also some minor edits.

................

r42637 | jurko | 2008-01-09 06:36:37 -0800 (Wed, 09 Jan 2008) | 1 line

Updated the test so it passes on Windows. Had to change it to enable action output logging and compensate for the fact that now action names are sent to the output as well. Minor stylistic changes.

................

r42639 | jurko | 2008-01-09 09:03:45 -0800 (Wed, 09 Jan 2008) | 1 line

Updated the test so it passes on Windows. Had to change it to enable action output logging and compensate for the fact that now action names are sent to the output as well. Minor stylistic changes.

................

r42641 | eric_niebler | 2008-01-09 12:21:51 -0800 (Wed, 09 Jan 2008) | 1 line

copy the png files to where fop will look for them when building pdf

................

r42642 | eric_niebler | 2008-01-09 12:33:05 -0800 (Wed, 09 Jan 2008) | 1 line

fix more signed/unsigned warnings

................

r42644 | turkanis | 2008-01-09 15:13:57 -0800 (Wed, 09 Jan 2008) | 1 line

marked stream_offset_64bit_test as an expected failure on vacpp (iostreams)

................

r42645 | turkanis | 2008-01-09 15:16:17 -0800 (Wed, 09 Jan 2008) | 1 line

replaced 2 occurrences of the identifier 'restrict' with BOOST_IOSTREAMS_RESTRICT

................

r42646 | turkanis | 2008-01-09 19:27:51 -0800 (Wed, 09 Jan 2008) | 1 line

added expected failures for Sun and IBM; removed a Borland intermittent failure; removed some obsolete toolsets (iostreams)

................

r42647 | troyer | 2008-01-10 01:49:16 -0800 (Thu, 10 Jan 2008) | 1 line

Optimizations for Boost.MPI

................

r42648 | troyer | 2008-01-10 03:54:36 -0800 (Thu, 10 Jan 2008) | 1 line

Undid backward-compatibility breaking change in pair serialization

................

r42651 | johnmaddock | 2008-01-10 04:10:37 -0800 (Thu, 10 Jan 2008) | 1 line

Apply patch from Issue #1187.

................

r42657 | anthonyw | 2008-01-10 06:19:36 -0800 (Thu, 10 Jan 2008) | 1 line

removed references to NULL

................

r42658 | turkanis | 2008-01-10 10:50:19 -0800 (Thu, 10 Jan 2008) | 1 line

marked up two moe expected failures for sun-5.7-5.8 (iostreams)

................

r42664 | bgubenko | 2008-01-10 13:13:42 -0800 (Thu, 10 Jan 2008) | 1 line

marked iostreams library compose_test for gcc-3.4.6_linux_ia64 : linking exceeds 10 min. limit

................

r42665 | danieljames | 2008-01-10 14:25:35 -0800 (Thu, 10 Jan 2008) | 2 lines

Initialise svnmerge for merging changes for unordered.

................

r42666 | danieljames | 2008-01-10 14:30:46 -0800 (Thu, 10 Jan 2008) | 6 lines

Merge latest unordered developments:

Make simple_test test a little more. Use doubles for calculating max load factor. Some workarounds, mostly for Borland and running the tests.

................

r42670 | turkanis | 2008-01-10 16:02:36 -0800 (Thu, 10 Jan 2008) | 1 line

merged changes from branches/iostreams_dev, revisions 42645=42660; fix for Intel-darwin; removed dependence of file_descriptor_test and mapped_file_test on library boost_iostreams

................

r42672 | turkanis | 2008-01-10 17:35:46 -0800 (Thu, 10 Jan 2008) | 1 line

force static runtime-link for intel-darwin

................

r42674 | johnmaddock | 2008-01-11 01:55:43 -0800 (Fri, 11 Jan 2008) | 1 line

Fix bugs reported by Will Drewry: certain invalid regexes can cause the library to access invalid memory, changed to ensure that the correct exception is thrown long before this happens.

................

r42676 | jurko | 2008-01-11 05:44:51 -0800 (Fri, 11 Jan 2008) | 1 line

Removed the manual boost-build.jam file creation since that file already exists in the SVN repository and this only overwrote it with the same content minus the copyright notice. Removed a reference to the no longer existing boost_build_v2.html file.

................

r42677 | johnmaddock | 2008-01-11 05:48:57 -0800 (Fri, 11 Jan 2008) | 1 line

Update for Intel-10.1.

................

r42684 | turkanis | 2008-01-11 11:12:22 -0800 (Fri, 11 Jan 2008) | 1 line

another attempt to fix linking for compression tests on intel-darwin

................

r42688 | turkanis | 2008-01-11 14:58:21 -0800 (Fri, 11 Jan 2008) | 1 line

merged changes from iostreams_dev; fixes for IBM and more documentation

................

r42689 | turkanis | 2008-01-11 18:45:55 -0800 (Fri, 11 Jan 2008) | 1 line

more detailed note for vacpp (iostreams)

................

r42691 | eric_niebler | 2008-01-11 22:43:28 -0800 (Fri, 11 Jan 2008) | 1 line

new style transforms a-la proto v3

................

r42693 | nesotto | 2008-01-12 04:38:57 -0800 (Sat, 12 Jan 2008) | 1 line

doc fixes

................

r42698 | danieljames | 2008-01-12 06:43:40 -0800 (Sat, 12 Jan 2008) | 9 lines

Merge the latest unordered changes. These are concerned with getting the tests working on more compilers. The biggest change is that the exception tests have been changed to use a very simple exception testing mechanism on top of lightweight_test. This was because Boost.Test exception testing isn't working on several platforms. I'm trying to set this up so that I can use Boost.Test on compilers which it completely supports, and lightweight test on others. Boost.Test tests more than my simple exception testing code ever will so it's worth using where I can.

................

r42700 | eric_niebler | 2008-01-12 09:09:17 -0800 (Sat, 12 Jan 2008) | 1 line

missing includes

................

r42701 | eric_niebler | 2008-01-12 09:40:40 -0800 (Sat, 12 Jan 2008) | 1 line

more msvc-7.1-friendly default_context implementation, more missing headers

................

r42706 | turkanis | 2008-01-12 12:19:42 -0800 (Sat, 12 Jan 2008) | 1 line

corrected use of feature detection macros for AIX; simplified implementation slightly; updated docs

................

r42707 | turkanis | 2008-01-12 12:20:35 -0800 (Sat, 12 Jan 2008) | 1 line

removed intel-darwin sepcific code, since it didn't work

................

r42708 | eric_niebler | 2008-01-12 13:19:45 -0800 (Sat, 12 Jan 2008) | 1 line

port toy_spirit example to proto v3

................

r42713 | turkanis | 2008-01-12 23:17:07 -0800 (Sat, 12 Jan 2008) | 1 line

improved docs

................

r42715 | nesotto | 2008-01-13 03:37:41 -0800 (Sun, 13 Jan 2008) | 1 line

fixed #if to #ifdef

................

r42722 | bgubenko | 2008-01-13 07:52:12 -0800 (Sun, 13 Jan 2008) | 1 line

better note for iostreams library test compose_test on gcc-3.4.6_linux_ia64

................

r42723 | bgubenko | 2008-01-13 08:12:37 -0800 (Sun, 13 Jan 2008) | 1 line

marked up random library test random_test for gcc-3.4.6_linux_ia64

................

r42724 | danieljames | 2008-01-13 08:19:26 -0800 (Sun, 13 Jan 2008) | 3 lines

Merge in latest changes to Boost.Unordered. Some compiler workarounds and starting to clean up the tests a little.

................

r42729 | eric_niebler | 2008-01-13 11:39:54 -0800 (Sun, 13 Jan 2008) | 1 line

work around msvc-7.1 bug

................

r42741 | eric_niebler | 2008-01-13 13:56:56 -0800 (Sun, 13 Jan 2008) | 1 line

boost template instantiation depth on darwin

................

r42745 | johnmaddock | 2008-01-14 01:46:12 -0800 (Mon, 14 Jan 2008) | 1 line

Ooops, fix broken escape sequence.

................

r42747 | johnmaddock | 2008-01-14 01:58:36 -0800 (Mon, 14 Jan 2008) | 1 line

Fix documentation typos.

................

r42750 | chris_kohlhoff | 2008-01-14 05:13:35 -0800 (Mon, 14 Jan 2008) | 2 lines

Fix concept name in comment.

................

r42751 | johnmaddock | 2008-01-14 05:17:09 -0800 (Mon, 14 Jan 2008) | 1 line

Patch regex concept checks and TR1 library to work with VC9 + MS TR1 feature pack.

................

r42752 | chris_kohlhoff | 2008-01-14 05:20:06 -0800 (Mon, 14 Jan 2008) | 2 lines

Add missing broken pipe error.

................

r42753 | chris_kohlhoff | 2008-01-14 05:21:37 -0800 (Mon, 14 Jan 2008) | 3 lines

Don't include sys/time.h when compiling with aCC, as that header does not supply pselect(), which is needed for HP-UX/aCC to work correctly.

................

r42754 | chris_kohlhoff | 2008-01-14 05:22:21 -0800 (Mon, 14 Jan 2008) | 2 lines

Disable noisy and incorrect /Wp64 warnings generated by MSVC.

................

r42755 | chris_kohlhoff | 2008-01-14 05:24:28 -0800 (Mon, 14 Jan 2008) | 3 lines

Don't call epoll_wait/kevent if there are no old operations (where old means added prior to the last epoll_wait/kevent call) needing to be demultiplexed.

................

r42756 | chris_kohlhoff | 2008-01-14 05:25:24 -0800 (Mon, 14 Jan 2008) | 2 lines

Silence some integer truncation warnings.

................

r42758 | chris_kohlhoff | 2008-01-14 05:27:52 -0800 (Mon, 14 Jan 2008) | 8 lines

Silence some integer truncation warnings.

Only perform the windows-bug workaround where we use a short timeout with GetQueuedCompletionStatus? from one thread, i.e. the timer thread.

Keep track of the number of OVERLAPPED-derived operations to ensure that they all get cleaned up when the io_service is destroyed.

................

r42759 | chris_kohlhoff | 2008-01-14 05:29:08 -0800 (Mon, 14 Jan 2008) | 5 lines

Check for truncation when converting buffer size from size_t to openssl's int argument.

Try to fix possible thread-safety issues in SSL wrapper.

................

r42766 | eric_niebler | 2008-01-14 08:49:32 -0800 (Mon, 14 Jan 2008) | 1 line

register mpl::bool_ with typeof

................

r42767 | dgregor | 2008-01-14 09:01:26 -0800 (Mon, 14 Jan 2008) | 1 line

Improved suggestion for dealing with Qt MOC, from Niels Dekker

................

r42771 | niels_dekker | 2008-01-14 10:17:30 -0800 (Mon, 14 Jan 2008) | 1 line

Documented value_init workaround to compiler issues, added new introduction, updated to 2003 edition of C++ Standard -- reviewed by Fernando Cacciola

................

r42773 | guwi17 | 2008-01-14 11:04:43 -0800 (Mon, 14 Jan 2008) | 2 lines

  • fixed typo

................

r42776 | eric_niebler | 2008-01-14 12:26:58 -0800 (Mon, 14 Jan 2008) | 1 line

add skip(), for specifying a skip regex

................

r42778 | turkanis | 2008-01-14 12:47:17 -0800 (Mon, 14 Jan 2008) | 1 line

overhaul of dual_use filters: close() is now called just once; suppressed Borland/Dinkumware? warnings in mapped_file.hpp

................

r42779 | niels_dekker | 2008-01-14 13:46:20 -0800 (Mon, 14 Jan 2008) | 1 line

Minor "beautifications" of value_init documentation, inc. placing references in order of appearance

................

r42780 | lbourdev | 2008-01-14 14:06:07 -0800 (Mon, 14 Jan 2008) | 3 lines

Changed size_t to std::size_t

................

r42781 | lbourdev | 2008-01-14 15:25:10 -0800 (Mon, 14 Jan 2008) | 3 lines

GIL: Changing size_t to std::size_t

................

r42788 | eric_niebler | 2008-01-14 22:46:39 -0800 (Mon, 14 Jan 2008) | 1 line

code clean-up, begin updating the transform section in proto's docs

................

r42789 | eric_niebler | 2008-01-14 23:46:51 -0800 (Mon, 14 Jan 2008) | 1 line

try disabling iterator debugging for intel-win toolset

................

r42797 | t_schwinger | 2008-01-15 11:46:10 -0800 (Tue, 15 Jan 2008) | 3 lines

adds missing #include

................

r42798 | niels_dekker | 2008-01-15 11:53:28 -0800 (Tue, 15 Jan 2008) | 1 line

value_init doc + test: Added revision date.

................

r42801 | jurko | 2008-01-15 13:13:52 -0800 (Tue, 15 Jan 2008) | 1 line

Minor stylistic comment changes. Removed trailing spaces.

................

r42804 | eric_niebler | 2008-01-15 14:06:51 -0800 (Tue, 15 Jan 2008) | 1 line

document call<>, make<> and bind<>

................

r42807 | turkanis | 2008-01-15 14:54:40 -0800 (Tue, 15 Jan 2008) | 1 line

rewrote treatment of result_of in terms of a new (hopefully temporary) config macro BOOST_IOSTREAMS_NO_RESULT_OF; fixed docs

................

r42811 | turkanis | 2008-01-15 17:14:04 -0800 (Tue, 15 Jan 2008) | 1 line

reverted last change except for doc fixes; regression was result of test runner's local patch

................

r42813 | turkanis | 2008-01-15 17:16:36 -0800 (Tue, 15 Jan 2008) | 1 line

botched last commit

................

r42814 | djenkins | 2008-01-15 22:39:34 -0800 (Tue, 15 Jan 2008) | 1 line

missing include

................

r42815 | niels_dekker | 2008-01-16 01:35:12 -0800 (Wed, 16 Jan 2008) | 1 line

Added convenience class initialized_value, as announced at  http://article.gmane.org/gmane.comp.lib.boost.devel/169833

................

r42816 | niels_dekker | 2008-01-16 01:37:25 -0800 (Wed, 16 Jan 2008) | 1 line

Added test and documentation for convenience class initialized_value, that was added with changeset [42815]

................

r42817 | chris_kohlhoff | 2008-01-16 05:46:01 -0800 (Wed, 16 Jan 2008) | 2 lines

Set the openssl callback function for getting a thread ID.

................

r42818 | anthonyw | 2008-01-16 07:23:36 -0800 (Wed, 16 Jan 2008) | 1 line

Provide tss_cleanup_implemented as a dummy function on Windows CE to allow tests to run

................

r42821 | t_schwinger | 2008-01-16 11:16:37 -0800 (Wed, 16 Jan 2008) | 3 lines

works around MSVC7.1 problems (hopefully)

................

r42822 | t_schwinger | 2008-01-16 11:17:09 -0800 (Wed, 16 Jan 2008) | 3 lines

attempts to fix Borland regressions

................

r42823 | eric_niebler | 2008-01-16 11:24:33 -0800 (Wed, 16 Jan 2008) | 1 line

document when<> and is_callable<>

................

r42825 | turkanis | 2008-01-16 12:46:56 -0800 (Wed, 16 Jan 2008) | 1 line

replaced IBMCPP with _AIX

................

r42827 | turkanis | 2008-01-16 16:50:14 -0800 (Wed, 16 Jan 2008) | 1 line

added pgi to toolsets expected to fail seekawble_file_test (iostreams)

................

r42836 | eric_niebler | 2008-01-17 14:47:54 -0800 (Thu, 17 Jan 2008) | 1 line

stl_iterator does better error handling

................

r42837 | jurko | 2008-01-17 17:14:17 -0800 (Thu, 17 Jan 2008) | 1 line

Stylistic changes. Removed trailing spaces. Removed empty lines. Corrected comment typos and wording.

................

r42839 | eric_niebler | 2008-01-17 23:56:31 -0800 (Thu, 17 Jan 2008) | 1 line

tweaks for better doxygen-ated output

................

r42840 | eric_niebler | 2008-01-17 23:56:59 -0800 (Thu, 17 Jan 2008) | 1 line

updated reference section

................

r42841 | eric_niebler | 2008-01-17 23:58:48 -0800 (Thu, 17 Jan 2008) | 1 line

add back reference section, document user-defined transforms

................

r42843 | t_schwinger | 2008-01-18 06:37:41 -0800 (Fri, 18 Jan 2008) | 3 lines

makes member object support work with BCC

................

r42851 | johnmaddock | 2008-01-18 08:56:57 -0800 (Fri, 18 Jan 2008) | 1 line

Add needed <iostream> include.

................

r42852 | johnmaddock | 2008-01-18 09:05:35 -0800 (Fri, 18 Jan 2008) | 1 line

We don't have a tr1::hash functor if the std lib is the Apache version.

................

r42853 | hkaiser | 2008-01-18 09:56:53 -0800 (Fri, 18 Jan 2008) | 1 line

Wave: removed T_DEFINED token id from the library.

................

r42855 | johnmaddock | 2008-01-18 10:18:17 -0800 (Fri, 18 Jan 2008) | 1 line

Needs to #include <cstring> in order to use std::memset.

................

r42856 | danieljames | 2008-01-18 11:35:55 -0800 (Fri, 18 Jan 2008) | 2 lines

Merge in some changes to the unordered tests.

................

r42857 | t_schwinger | 2008-01-18 12:05:56 -0800 (Fri, 18 Jan 2008) | 3 lines

simplifies function_types markup

................

r42858 | t_schwinger | 2008-01-18 12:52:06 -0800 (Fri, 18 Jan 2008) | 3 lines

attempts to fix BCB 5.9 regression in synthesis/mem_func_ptr_cv_ptr_to_this test

................

r42859 | t_schwinger | 2008-01-18 13:06:44 -0800 (Fri, 18 Jan 2008) | 3 lines

attempts to fix pathscale failure

................

r42868 | niels_dekker | 2008-01-19 12:21:18 -0800 (Sat, 19 Jan 2008) | 1 line

value_init_test now works around Borland 5.82 bug ("Error E2015: Ambiguity..." when using initialized_value), that is fixed with a newer compiler version

................

r42869 | niels_dekker | 2008-01-19 12:52:04 -0800 (Sat, 19 Jan 2008) | 1 line

Removed local named variable from value_initialized::operator=, as Fernando Cacciola suggested me to avoid unnecessary named variables.

................

r42873 | bemandawes | 2008-01-19 18:01:35 -0800 (Sat, 19 Jan 2008) | 1 line

Remove extraneous defines since they are inherited from library build Jamfile

................

r42877 | johnmaddock | 2008-01-20 01:42:35 -0800 (Sun, 20 Jan 2008) | 1 line

Add include of <eh.h> for msvc.

................

r42878 | igaztanaga | 2008-01-20 03:54:47 -0800 (Sun, 20 Jan 2008) | 5 lines

Updated Interprocess and Intrusive:

-> Added linear slist to intrusive -> Updated all allocators to version 2 allocators in Interprocess -> Optimized rbtree_best_fit size overhead to 1 std:size_t.

................

r42881 | danieljames | 2008-01-20 09:37:21 -0800 (Sun, 20 Jan 2008) | 1 line

Include <new> to get std::bad_alloc.

................

r42882 | danieljames | 2008-01-20 10:55:57 -0800 (Sun, 20 Jan 2008) | 22 lines

Merged revisions 42856-42881 via svnmerge from  https://svn.boost.org/svn/boost/branches/unordered/trunk

........

r42880 | danieljames | 2008-01-20 16:10:43 +0000 (Sun, 20 Jan 2008) | 17 lines

Simplify the tests a little:

Add a parameter to random_values to control what sort of values it generates. This means that instead of using equivalent_object to test collisions (which was a total hack) we now just need another parameter.

This requires some meta programming to act differently for maps and sets. Because of this pairs no longer need to be generated so remove the code for doing that (which doesn't work on some compilers).

Remove the generator object, just call generate directly.

Remove some of the tests using int containers, they didn't really add to anthing other than the compile time (some tests are timing out).

........

................

r42884 | jurko | 2008-01-20 12:18:50 -0800 (Sun, 20 Jan 2008) | 5 lines

Minor stylistic changes:

  • Removed trailing spaces.
  • Added a comment for code discovering the user's home-directories.
  • Removed a stale regex import.
  • Removed an old corpse 'identity' rule found inside the test rule.

................

r42890 | johnmaddock | 2008-01-21 01:41:17 -0800 (Mon, 21 Jan 2008) | 1 line

Only disable wide character support for HP aCC: for gcc the logic is already taken care of in libstdcpp3.hpp.

................

r42897 | hkaiser | 2008-01-21 08:13:31 -0800 (Mon, 21 Jan 2008) | 1 line

Removed a duplicate entry.

................

r42898 | rogeeff | 2008-01-21 09:02:53 -0800 (Mon, 21 Jan 2008) | 1 line

changed output of booleans

................

r42899 | johnmaddock | 2008-01-21 10:11:09 -0800 (Mon, 21 Jan 2008) | 1 line

Updated type traits library so that everything compiles with -Wall -pedantic with GCC.

................

r42904 | davedeakins | 2008-01-21 11:38:44 -0800 (Mon, 21 Jan 2008) | 1 line

Don't include <eh.h> for WinCE (since WinCE does not have this header)

................

r42906 | eric_niebler | 2008-01-21 12:39:35 -0800 (Mon, 21 Jan 2008) | 1 line

minor clean-up

................

r42909 | rogeeff | 2008-01-21 19:41:23 -0800 (Mon, 21 Jan 2008) | 1 line

missing header

................

r42911 | igaztanaga | 2008-01-22 08:49:22 -0800 (Tue, 22 Jan 2008) | 1 line

Refactor some allocation code and fix instantiation problem in 64 bit platforms

................

r42916 | eric_niebler | 2008-01-22 12:42:18 -0800 (Tue, 22 Jan 2008) | 1 line

add concepts section to proto reference

................

r42917 | hljin | 2008-01-22 14:10:48 -0800 (Tue, 22 Jan 2008) | 1 line

GIL: fixed the problem with std::hex by adding #include <ios>

................

r42918 | eric_niebler | 2008-01-22 18:23:15 -0800 (Tue, 22 Jan 2008) | 1 line

proto works with boost 1.34.1

................

r42929 | johnmaddock | 2008-01-23 08:08:44 -0800 (Wed, 23 Jan 2008) | 1 line

Applies fix for issue #1598: added missing #include.

................

r42931 | igaztanaga | 2008-01-23 11:34:39 -0800 (Wed, 23 Jan 2008) | 1 line

Ticket #1593: [interprocess] 'streamoff' : is not a member of 'std'

................

r42934 | andreas_huber69 | 2008-01-23 13:46:58 -0800 (Wed, 23 Jan 2008) | 1 line

Fixes #1594

................

r42935 | eric_niebler | 2008-01-23 13:57:47 -0800 (Wed, 23 Jan 2008) | 1 line

fix dependency issue in Jamfile

................

r42938 | jano_gaspar | 2008-01-23 15:04:57 -0800 (Wed, 23 Jan 2008) | 1 line

circular_buffer: updated documentation

................

r42939 | eric_niebler | 2008-01-23 15:25:24 -0800 (Wed, 23 Jan 2008) | 1 line

fix quickbook scanner to recognize the [import ...] block

................

r42943 | danieljames | 2008-01-23 15:39:59 -0800 (Wed, 23 Jan 2008) | 60 lines

Merged revisions 42882-42941 via svnmerge from  https://svn.boost.org/svn/boost/branches/unordered/trunk

................

r42887 | danieljames | 2008-01-20 21:32:04 +0000 (Sun, 20 Jan 2008) | 10 lines

Merged revisions 42590-42664,42667-42697,42699-42723,42725-42855,42857-42881 via svnmerge from  https://svn.boost.org/svn/boost/trunk

........

r42881 | danieljames | 2008-01-20 17:37:21 +0000 (Sun, 20 Jan 2008) | 1 line

Include <new> to get std::bad_alloc.

........

................

r42892 | danieljames | 2008-01-21 13:03:16 +0000 (Mon, 21 Jan 2008) | 1 line

On some compilers the Rogue Wave/Apache? stdcxx library doesn't have the normal std::distance, but instead has a variant that takes the result as the third parameter so it doesn't have to work out the type from the iterator.

................

r42893 | danieljames | 2008-01-21 13:07:58 +0000 (Mon, 21 Jan 2008) | 1 line

Fix a typo in the last commit.

................

r42895 | danieljames | 2008-01-21 13:33:29 +0000 (Mon, 21 Jan 2008) | 1 line

Remove tabs from the last checkin.

................

r42896 | danieljames | 2008-01-21 15:51:40 +0000 (Mon, 21 Jan 2008) | 1 line

Use Boost config to tell when we have a std::distance function. Also, no need for a macro.

................

r42908 | danieljames | 2008-01-21 21:37:04 +0000 (Mon, 21 Jan 2008) | 1 line

Use boost::long_long_type and boost::ulong_long_type.

................

r42921 | danieljames | 2008-01-23 11:43:35 +0000 (Wed, 23 Jan 2008) | 1 line

Remove some tabs.

................

r42922 | danieljames | 2008-01-23 11:46:28 +0000 (Wed, 23 Jan 2008) | 2 lines

Add missing include. Refs #1596

................

r42923 | danieljames | 2008-01-23 11:52:47 +0000 (Wed, 23 Jan 2008) | 2 lines

Always use void const* for the second parameter of allocate. Refs #1596.

................

r42936 | danieljames | 2008-01-23 22:22:16 +0000 (Wed, 23 Jan 2008) | 1 line

Use Boost style library name in the documentation.

................

r42937 | danieljames | 2008-01-23 22:22:32 +0000 (Wed, 23 Jan 2008) | 1 line

More tabs.

................

r42941 | danieljames | 2008-01-23 23:35:01 +0000 (Wed, 23 Jan 2008) | 1 line

Fix all the allocators.

................

................

r42948 | turkanis | 2008-01-23 22:50:32 -0800 (Wed, 23 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42825-42947

................

r42950 | t_schwinger | 2008-01-24 10:56:27 -0800 (Thu, 24 Jan 2008) | 3 lines

correctsbroken compiler support for MPL

................

r42951 | eric_niebler | 2008-01-24 13:06:23 -0800 (Thu, 24 Jan 2008) | 1 line

peeker optimization looks inside independent sub-expressions

................

r42952 | nesotto | 2008-01-24 14:22:35 -0800 (Thu, 24 Jan 2008) | 1 line

test of output iterators

................

r42953 | nesotto | 2008-01-24 14:26:36 -0800 (Thu, 24 Jan 2008) | 1 line

output iterator test

................

r42954 | nesotto | 2008-01-24 14:27:27 -0800 (Thu, 24 Jan 2008) | 1 line

output iterators for ptr_containers

................

r42957 | t_schwinger | 2008-01-24 16:26:16 -0800 (Thu, 24 Jan 2008) | 3 lines

simplifies preprocessing code

................

r42958 | t_schwinger | 2008-01-24 16:28:15 -0800 (Thu, 24 Jan 2008) | 3 lines

touched

................

r42960 | noel_belcourt | 2008-01-24 20:41:16 -0800 (Thu, 24 Jan 2008) | 6 lines

Changed the -soname and -shared options in intel-darwin.jam to use -dynamiclib and -install_name, as done in darwin.jam. Apparently the Intel compilers on the Mac support the same options as gcc for setting the internal dynamic library name.

................

r42963 | nesotto | 2008-01-24 23:52:14 -0800 (Thu, 24 Jan 2008) | 1 line

renaming ...

................

r42964 | nesotto | 2008-01-24 23:52:56 -0800 (Thu, 24 Jan 2008) | 1 line

renaming

................

r42965 | nesotto | 2008-01-24 23:54:28 -0800 (Thu, 24 Jan 2008) | 1 line

renaming

................

r42970 | turkanis | 2008-01-25 09:56:25 -0800 (Fri, 25 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42947-42962: fixed tickets 1003, 1139, 1140, 1149

................

r42971 | noel_belcourt | 2008-01-25 11:52:47 -0800 (Fri, 25 Jan 2008) | 2 lines

Fixed a typo to yesterdays patch.

................

r42972 | dgregor | 2008-01-25 13:07:14 -0800 (Fri, 25 Jan 2008) | 2 lines

Include <ios> to get std::boolalpha. Fixes #1586

................

r42974 | igaztanaga | 2008-01-25 15:07:51 -0800 (Fri, 25 Jan 2008) | 4 lines

1)Fixed gcc release mode warnings. 2)Replaced throw with BOOST_RETHROW when BOOST_TRY is used. 3)Fixed issues with singly linked lists

................

r42976 | hkaiser | 2008-01-25 17:24:21 -0800 (Fri, 25 Jan 2008) | 2 lines

Wave: Fixed a problem in flex_string::compare() (#include_next was non-functional).

................

r42977 | hkaiser | 2008-01-25 17:36:20 -0800 (Fri, 25 Jan 2008) | 1 line

Wave: Added new testcase.

................

r42980 | hkaiser | 2008-01-25 17:44:32 -0800 (Fri, 25 Jan 2008) | 1 line

Wave: Tweaked new testcase.

................

r42982 | igaztanaga | 2008-01-26 03:52:25 -0800 (Sat, 26 Jan 2008) | 1 line

Refactored common slist functions in a single class

................

r42984 | noel_belcourt | 2008-01-26 10:35:59 -0800 (Sat, 26 Jan 2008) | 7 lines

Fixes #416

Fixed spelling of Jack Edmonds name and renamed files where necessary. Updated the documentation as well. Tested changes by building/running tests in libs/graph/test.

................

r42985 | noel_belcourt | 2008-01-26 10:51:28 -0800 (Sat, 26 Jan 2008) | 5 lines

Fixes #640

Corrected the mpl push_front html documentation.

................

r42986 | eric_niebler | 2008-01-26 11:38:44 -0800 (Sat, 26 Jan 2008) | 1 line

optimize repeated searches with patterns that have leading repeats

................

r42987 | t_schwinger | 2008-01-26 13:50:14 -0800 (Sat, 26 Jan 2008) | 3 lines

attempts to allow some preprocessing with VACPP (IBM)

................

r42988 | noel_belcourt | 2008-01-26 14:21:57 -0800 (Sat, 26 Jan 2008) | 5 lines

Fixes #1539

Fixed typo in the random documentation.

................

r42989 | noel_belcourt | 2008-01-26 15:06:24 -0800 (Sat, 26 Jan 2008) | 6 lines

Fixes #965

Patched the XML and will check to ensure the html page reflects this change.

................

r42990 | eric_niebler | 2008-01-26 21:56:46 -0800 (Sat, 26 Jan 2008) | 1 line

updated vcproj

................

r42991 | eric_niebler | 2008-01-26 21:57:08 -0800 (Sat, 26 Jan 2008) | 1 line

fix typo

................

r42992 | johnmaddock | 2008-01-27 10:43:35 -0800 (Sun, 27 Jan 2008) | 1 line

Extended leading repeat optimization to more cases.

................

r42997 | vladimir_prus | 2008-01-28 09:59:27 -0800 (Mon, 28 Jan 2008) | 1 line

Correct speliing of --build-dir in --help output

................

r43000 | eric_niebler | 2008-01-28 12:03:41 -0800 (Mon, 28 Jan 2008) | 1 line

update acknowledgement of john maddock

................

r43001 | bgubenko | 2008-01-28 13:27:13 -0800 (Mon, 28 Jan 2008) | 1 line

marked 2 asio library tests for gcc-4.2.1_hpux_ia64 (HP-UX 11.23 with gcc)

................

r43002 | eric_niebler | 2008-01-28 14:55:30 -0800 (Mon, 28 Jan 2008) | 1 line

doc more concepts, misc clean-up

................

r43003 | eric_niebler | 2008-01-28 14:56:46 -0800 (Mon, 28 Jan 2008) | 1 line

proto doxygen comments, misc clean-up

................

r43006 | eric_niebler | 2008-01-28 18:20:45 -0800 (Mon, 28 Jan 2008) | 1 line

more proto doxygen comments, update copyright

................

r43007 | vladimir_prus | 2008-01-28 22:28:09 -0800 (Mon, 28 Jan 2008) | 1 line

Retain top-level boost-build.jam

................

r43008 | vladimir_prus | 2008-01-28 22:40:06 -0800 (Mon, 28 Jan 2008) | 4 lines

Disable relinking when <target-os> is either windows or cygwin.

Fixes #1062.

................

r43009 | eric_niebler | 2008-01-28 23:03:03 -0800 (Mon, 28 Jan 2008) | 1 line

add tests for deep_copy, make_expr, unpack_expr; fix bugs; update more copyrights

................

r43012 | djenkins | 2008-01-29 08:41:12 -0800 (Tue, 29 Jan 2008) | 1 line

fix typo

................

r43013 | djenkins | 2008-01-29 08:43:51 -0800 (Tue, 29 Jan 2008) | 1 line

update copyright and misc cleanup

................

r43014 | bgubenko | 2008-01-29 09:47:01 -0800 (Tue, 29 Jan 2008) | 1 line

marked interprocess library unusable on gcc-4.2.1_hpux_ia64 (until it is ported to HP-UX platform)

................

r43016 | eric_niebler | 2008-01-29 13:02:52 -0800 (Tue, 29 Jan 2008) | 1 line

make_expr and unpack_expr improvements, fix scary transform::arg_c bug

................

r43018 | djenkins | 2008-01-29 19:39:02 -0800 (Tue, 29 Jan 2008) | 1 line

use skip directive to simplify example

................

r43023 | eric_niebler | 2008-01-30 14:10:13 -0800 (Wed, 30 Jan 2008) | 1 line

finally, a make_expr() I can live with

................

r43024 | eric_niebler | 2008-01-30 14:26:34 -0800 (Wed, 30 Jan 2008) | 1 line

regenerated boostbook reference

................

r43025 | niels_dekker | 2008-01-30 14:42:23 -0800 (Wed, 30 Jan 2008) | 1 line

value_init: Removed aligned_storage::address() calls, to improve TR1 compatibility, as confirmed by John Maddock. Added internal helper function, wrapper_address(), as discussed with Fernando.

................

r43026 | eric_niebler | 2008-01-30 15:03:36 -0800 (Wed, 30 Jan 2008) | 1 line

minor tweak to make_expr result_of return type calculation

................

r43031 | eric_niebler | 2008-01-30 23:36:28 -0800 (Wed, 30 Jan 2008) | 1 line

simplify make_expr.hpp, user docs for make_expr()

................

r43035 | eric_niebler | 2008-01-31 10:44:17 -0800 (Thu, 31 Jan 2008) | 1 line

minor tweak to fusion value_of and value_at for expressions, for better interop with proto::unpack_expr

................

r43037 | vladimir_prus | 2008-01-31 11:47:12 -0800 (Thu, 31 Jan 2008) | 1 line

Build in MT mode (as long as wave links to boost.thread)

................

r43038 | hkaiser | 2008-01-31 12:57:47 -0800 (Thu, 31 Jan 2008) | 1 line

Wave: fixed expanding_function_like_macro()

................

r43040 | eric_niebler | 2008-01-31 13:12:44 -0800 (Thu, 31 Jan 2008) | 1 line

finish documentation for expression construction utilities

................

r43041 | hkaiser | 2008-01-31 14:33:43 -0800 (Thu, 31 Jan 2008) | 1 line

Wave: Added additional configuration possibility to allow control threading support.

................

r43042 | hkaiser | 2008-01-31 14:48:56 -0800 (Thu, 31 Jan 2008) | 1 line

Wave: Added additional configuration possibility to allow control threading support. Updated the documentation.

................

r43043 | jurko | 2008-01-31 16:27:31 -0800 (Thu, 31 Jan 2008) | 1 line

Reverted changes made in rev 43038 which seem to have been committed by mistake and include some user specific settings in it local to the comitter's environment while this file is intended to be used as generic template for actual user-config.jam files and do nothing in case user does not specify his own settings there.

................

r43044 | jurko | 2008-01-31 16:44:23 -0800 (Thu, 31 Jan 2008) | 1 line

Minor stylistic spacing changes. Remove trailing spaces.

................

r43045 | jurko | 2008-01-31 16:46:50 -0800 (Thu, 31 Jan 2008) | 1 line

Corrected outputting native Windows paths so that it works correctly for absolute paths without the drive letter being explicitly specified, e.g. \aaa\bbb or /aaa/bbb.

................

r43046 | jurko | 2008-01-31 17:49:16 -0800 (Thu, 31 Jan 2008) | 1 line

Added the missing end-of-line character when outputting DEBUG_SEARCH debug messages from file_build1(). This cleans up the -d+6 bjam output a lot.

................

r43050 | eric_niebler | 2008-02-01 12:30:29 -0800 (Fri, 01 Feb 2008) | 1 line

add future group example

................

r43052 | noel_belcourt | 2008-02-01 18:41:23 -0800 (Fri, 01 Feb 2008) | 4 lines

Fix a typo in pgi.jam that prevented shared libraries from being built correctly.

................

r43054 | chris_kohlhoff | 2008-02-02 03:37:45 -0800 (Sat, 02 Feb 2008) | 4 lines

Ensure that the workaround for the MSVC secure iterator problem is only used when compiling with MSVC. The workaround causes g++'s library debug mode to report errors due to the assignment from a singular iterator.

................

r43055 | chris_kohlhoff | 2008-02-02 03:39:17 -0800 (Sat, 02 Feb 2008) | 2 lines

Fix "possible loss of data" warning when building for Windows 2000 targets.

................

r43056 | chris_kohlhoff | 2008-02-02 04:02:23 -0800 (Sat, 02 Feb 2008) | 3 lines

The latest Windows SDKs don't support IPv6 when building for Windows 2000, so we need to use the SDK emulation in that case.

................

r43057 | eric_niebler | 2008-02-02 04:27:16 -0800 (Sat, 02 Feb 2008) | 1 line

port test to boost version 1.34.1

................

r43061 | turkanis | 2008-02-02 14:10:46 -0800 (Sat, 02 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 42962-43059: updated copyright notices

................

r43080 | eric_niebler | 2008-02-03 10:40:03 -0800 (Sun, 03 Feb 2008) | 1 line

fix bug found by L. Evans re: fusion and stateful function objects

................

r43083 | johnmaddock | 2008-02-04 01:13:36 -0800 (Mon, 04 Feb 2008) | 1 line

Added missing file.

................

r43085 | johnmaddock | 2008-02-04 01:17:35 -0800 (Mon, 04 Feb 2008) | 1 line

Removed dead file.

................

r43087 | johnmaddock | 2008-02-04 01:20:46 -0800 (Mon, 04 Feb 2008) | 1 line

Removed dead files.

................

r43089 | johnmaddock | 2008-02-04 01:23:28 -0800 (Mon, 04 Feb 2008) | 1 line

Removed dead files.

................

r43094 | anthonyw | 2008-02-04 05:16:32 -0800 (Mon, 04 Feb 2008) | 1 line

added test for duration overloads of timed_lock, and added missing implementation to win32 version

................

r43101 | hkaiser | 2008-02-04 11:21:46 -0800 (Mon, 04 Feb 2008) | 1 line

Wave: trying to fix stdcxx_gcc regression.

................

r43103 | matias | 2008-02-04 13:01:06 -0800 (Mon, 04 Feb 2008) | 1 line

hooking --> additional information in html docs

................

r43106 | eric_niebler | 2008-02-04 18:09:51 -0800 (Mon, 04 Feb 2008) | 1 line

fleshing out evaluation.qbk, document transforms of if_, not_, and_ and or_

................

r43107 | eric_niebler | 2008-02-04 21:33:12 -0800 (Mon, 04 Feb 2008) | 1 line

eliminate warnings under msvc's -W4

................

r43111 | eric_niebler | 2008-02-04 22:03:01 -0800 (Mon, 04 Feb 2008) | 1 line

fix typo

................

r43112 | marshall | 2008-02-05 08:07:19 -0800 (Tue, 05 Feb 2008) | 1 line

Fix typo (bug #1434)

................

r43113 | marshall | 2008-02-05 08:15:35 -0800 (Tue, 05 Feb 2008) | 1 line

Applied patch (fixes bug #1307)

................

r43117 | dgregor | 2008-02-05 12:51:23 -0800 (Tue, 05 Feb 2008) | 1 line

Fix add_vertex and add_vertices when the CSR graph has vertex properties

................

r43118 | danieljames | 2008-02-05 12:57:02 -0800 (Tue, 05 Feb 2008) | 13 lines

Merged revisions 42942-43116 via svnmerge from  https://svn.boost.org/svn/boost/branches/unordered/trunk

........

r42975 | danieljames | 2008-01-26 00:29:32 +0000 (Sat, 26 Jan 2008) | 1 line

Typedef some types before using them, to make life easier for Borland.

........

r43116 | danieljames | 2008-02-05 20:47:44 +0000 (Tue, 05 Feb 2008) | 1 line

Some compilers and libraries combinations have problems with deques of non-assingable types. Using a list instead.

........

................

r43120 | eric_niebler | 2008-02-05 13:07:31 -0800 (Tue, 05 Feb 2008) | 1 line

add missing #include

................

r43121 | bemandawes | 2008-02-05 18:01:46 -0800 (Tue, 05 Feb 2008) | 1 line

Add circular_buffer to the alphabetic list

................

r43125 | t_schwinger | 2008-02-06 05:00:08 -0800 (Wed, 06 Feb 2008) | 3 lines

attempts to make synthesis metafunctions work with sun compiler

................

r43129 | danieljames | 2008-02-06 11:02:38 -0800 (Wed, 06 Feb 2008) | 2 lines

In the boostbook navbar, link FAQ and people to the website.

................

r43130 | eric_niebler | 2008-02-06 11:57:51 -0800 (Wed, 06 Feb 2008) | 1 line

untabify

................

r43132 | nesotto | 2008-02-06 14:46:19 -0800 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection report

................

r43133 | nesotto | 2008-02-06 14:46:31 -0800 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection report

................

r43134 | eric_niebler | 2008-02-06 14:57:57 -0800 (Wed, 06 Feb 2008) | 1 line

add handy get() accessors on literal<> wrapper

................

r43135 | nesotto | 2008-02-06 15:12:21 -0800 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection tool

................

r43136 | eric_niebler | 2008-02-06 16:05:01 -0800 (Wed, 06 Feb 2008) | 1 line

reasonably complete user docs for expression evaluation

................

r43138 | eric_niebler | 2008-02-07 00:06:29 -0800 (Thu, 07 Feb 2008) | 1 line

tweaks for doxygen 1.5.4, document matches<>

................

r43141 | johnmaddock | 2008-02-07 01:55:41 -0800 (Thu, 07 Feb 2008) | 1 line

Fix last checked version.

................

r43143 | johnmaddock | 2008-02-07 02:03:16 -0800 (Thu, 07 Feb 2008) | 1 line

Remove tabs.

................

r43145 | johnmaddock | 2008-02-07 02:13:31 -0800 (Thu, 07 Feb 2008) | 1 line

Fix min/max usage violation.

................

r43147 | vladimir_prus | 2008-02-07 02:17:03 -0800 (Thu, 07 Feb 2008) | 2 lines

Attempt to unbreak <library-file>

................

r43148 | johnmaddock | 2008-02-07 02:24:29 -0800 (Thu, 07 Feb 2008) | 1 line

Added comment to suppress inspect warning.

................

r43150 | johnmaddock | 2008-02-07 02:29:59 -0800 (Thu, 07 Feb 2008) | 1 line

Added fix for inspection report.

................

r43152 | vladimir_prus | 2008-02-07 03:04:30 -0800 (Thu, 07 Feb 2008) | 4 lines

Fix <framework> with no path.

Patch from Jon Olsson.

................

r43154 | bemandawes | 2008-02-07 05:22:34 -0800 (Thu, 07 Feb 2008) | 1 line

Remove obsolete CVS scripts, add 1.35.0 SVN scripts, beginning of docs page

................

r43155 | nesotto | 2008-02-07 06:41:04 -0800 (Thu, 07 Feb 2008) | 6 lines

iterator_range disables msvc warning 4996

< http://svn.boost.org/trac/boost/ticket/1565>

[range] sub_range assignment issue

< http://svn.boost.org/trac/boost/ticket/1284>

................

r43156 | nesotto | 2008-02-07 06:46:19 -0800 (Thu, 07 Feb 2008) | 1 line

test

................

r43157 | joaquin | 2008-02-07 08:29:27 -0800 (Thu, 07 Feb 2008) | 1 line

updated according to latest regression tests results, fixed a broken link, typo

................

r43159 | turkanis | 2008-02-07 09:07:28 -0800 (Thu, 07 Feb 2008) | 1 line

added missing 'self.' qualification

................

r43165 | dgregor | 2008-02-07 13:08:09 -0800 (Thu, 07 Feb 2008) | 1 line

Support for non-blocking MPI operations in Python, from Andreas Kloeckner

................

r43166 | dgregor | 2008-02-07 13:09:38 -0800 (Thu, 07 Feb 2008) | 1 line

Note addition of nonblocking operations to the Python interface

................

r43171 | nesotto | 2008-02-08 01:58:35 -0800 (Fri, 08 Feb 2008) | 1 line

silence of warnings for unused arguments

................

r43175 | nesotto | 2008-02-08 07:25:01 -0800 (Fri, 08 Feb 2008) | 1 line

missing ) fixed

................

r43176 | noel_belcourt | 2008-02-08 08:32:35 -0800 (Fri, 08 Feb 2008) | 14 lines

Force PPC Darwin to use fork instead of vfork. This change requires both the parent and child process to explicitly set the process group id. Vfork guarantees the child process runs to the exec before it releases the parent process. Now that we use fork instead of vfork, it's possible for the parent to wait on the child process without having the child setpgid on itself. This eliminates spurious hangs on ppc darwin caused by either a race condition between vfork and execvp, or a bug in the vfork implementation.

Added a test to ensure we don't try to read from the stderr pipe descriptor if the descriptor's not valid.

................

r43177 | eric_niebler | 2008-02-08 09:11:57 -0800 (Fri, 08 Feb 2008) | 1 line

reserve some c_type bits for dinkumware on windows, fixes #1625

................

r43179 | noel_belcourt | 2008-02-08 09:53:50 -0800 (Fri, 08 Feb 2008) | 13 lines

I've added the -single_module option to the intel-darwin.link.dll action to fix this linker error when linking dylibs:

ld: common symbols not allowed with MH_DYLIB output format with the -multi_module option boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZGVZNK5boost6system14error_category7messageEiE1s (size 16)

boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZZNK5boost6system14error_category7messageEiE1s (size 16)

though I would note that the common symbols problem occurs in a number of other libraries (test, graph, spirit, ...) as well.

................

r43188 | danieljames | 2008-02-09 04:29:02 -0800 (Sat, 09 Feb 2008) | 2 lines

Fix a link in the intrusive redirect.

................

r43189 | danieljames | 2008-02-09 04:37:00 -0800 (Sat, 09 Feb 2008) | 1 line

Fix another redirect link.

................

r43190 | danieljames | 2008-02-09 04:38:19 -0800 (Sat, 09 Feb 2008) | 1 line

Update link to Jamfile, to link to the version 2 jamfile.

................

r43191 | danieljames | 2008-02-09 04:39:06 -0800 (Sat, 09 Feb 2008) | 1 line

Fix a link.

................

r43192 | danieljames | 2008-02-09 04:45:32 -0800 (Sat, 09 Feb 2008) | 2 lines

Add a forwarding header for hash/custom.html as Boost.Bimap links to it.

................

r43193 | danieljames | 2008-02-09 05:02:45 -0800 (Sat, 09 Feb 2008) | 1 line

Fix the link to the license.

................

r43199 | eric_niebler | 2008-02-09 12:32:27 -0800 (Sat, 09 Feb 2008) | 1 line

more doxygen comments, const-correctness tweak for fusion::at() on proto expression

................

r43200 | eric_niebler | 2008-02-09 12:34:33 -0800 (Sat, 09 Feb 2008) | 1 line

document how to access children of proto expressions

................

r43204 | eric_niebler | 2008-02-09 22:57:24 -0800 (Sat, 09 Feb 2008) | 1 line

fix oops in proto fusion interface

................

r43205 | eric_niebler | 2008-02-09 23:02:54 -0800 (Sat, 09 Feb 2008) | 1 line

suppress msvc warning

................

r43206 | danieljames | 2008-02-10 01:55:03 -0800 (Sun, 10 Feb 2008) | 1 line

Fix some broken links.

................

r43207 | vladimir_prus | 2008-02-10 05:13:41 -0800 (Sun, 10 Feb 2008) | 4 lines

Tolerate argc being zero.

Patch from C. K. Jester-Young.

................

r43209 | danieljames | 2008-02-10 06:56:22 -0800 (Sun, 10 Feb 2008) | 1 line

Link to people pages on the website, as they've been removed from the download.

................

r43210 | danieljames | 2008-02-10 07:02:17 -0800 (Sun, 10 Feb 2008) | 1 line

Point links to the pages that used to be in 'more' to the site.

................

r43212 | danieljames | 2008-02-10 08:10:16 -0800 (Sun, 10 Feb 2008) | 1 line

Fix links on the home page as well.

................

r43213 | danieljames | 2008-02-10 08:21:22 -0800 (Sun, 10 Feb 2008) | 1 line

Generated documentation which is no longer generated.

................

r43220 | eric_niebler | 2008-02-10 19:48:41 -0800 (Sun, 10 Feb 2008) | 1 line

include config.hpp and workaround.hpp before uses of BOOST_WORKAROUND and BOOST_MSVC

................

r43221 | chris_kohlhoff | 2008-02-11 05:59:44 -0800 (Mon, 11 Feb 2008) | 2 lines

Need to define _XOPEN_SOURCE_EXTENDED when compiling for HP-UX.

................

r43226 | djenkins | 2008-02-11 12:49:19 -0800 (Mon, 11 Feb 2008) | 1 line

cleanup using local<> and skip()

................

r43239 | turkanis | 2008-02-12 21:43:39 -0800 (Tue, 12 Feb 2008) | 1 line

fixed return value of read(), to correctly handle eof

................

r43240 | turkanis | 2008-02-12 21:47:44 -0800 (Tue, 12 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43059-43238: better debug output for mapped file; fixed large_file_test.cpp under UNICODE on Windows

................

r43241 | turkanis | 2008-02-13 11:38:52 -0800 (Wed, 13 Feb 2008) | 1 line

added markup for stdcxx failures (iostreams)

................

r43243 | turkanis | 2008-02-13 11:42:10 -0800 (Wed, 13 Feb 2008) | 1 line

switched from <wchar.h> to <cwchar>, for stdcxx (which is conforming in this case)

................

r43246 | matias | 2008-02-14 09:33:12 -0800 (Thu, 14 Feb 2008) | 1 line

remove local admonitions

................

r43247 | matias | 2008-02-14 09:43:52 -0800 (Thu, 14 Feb 2008) | 1 line

optional docs fixes

................

r43248 | matias | 2008-02-14 09:44:21 -0800 (Thu, 14 Feb 2008) | 1 line

redirect optional docs to new version

................

r43251 | matias | 2008-02-14 10:08:16 -0800 (Thu, 14 Feb 2008) | 1 line

conversion docs fixes

................

r43252 | matias | 2008-02-14 10:09:34 -0800 (Thu, 14 Feb 2008) | 1 line

redirect to new conversion docs

................

r43253 | matias | 2008-02-14 10:19:34 -0800 (Thu, 14 Feb 2008) | 1 line

redirect optional and numeric/conversion docs to new version

................

r43254 | matias | 2008-02-14 11:03:55 -0800 (Thu, 14 Feb 2008) | 1 line

bimap doc fixes

................

r43255 | matias | 2008-02-14 11:05:04 -0800 (Thu, 14 Feb 2008) | 1 line

fix tabs in files

................

r43256 | matias | 2008-02-14 11:22:15 -0800 (Thu, 14 Feb 2008) | 1 line

fix tabs in files

................

r43260 | matias | 2008-02-14 13:24:11 -0800 (Thu, 14 Feb 2008) | 1 line

add missing images

................

r43262 | hkaiser | 2008-02-14 14:01:54 -0800 (Thu, 14 Feb 2008) | 1 line

Fixed a whitespace insertion glitch, where whitespace got inserted unconditionally between two operators even if one of these was a comma.

................

r43264 | hkaiser | 2008-02-14 15:52:33 -0800 (Thu, 14 Feb 2008) | 1 line

Wave: More fixes to whitespace insertion engine.

................

r43266 | hkaiser | 2008-02-15 06:35:36 -0800 (Fri, 15 Feb 2008) | 1 line

Wave: More fixes to whitespace insertion engine.

................

r43269 | pdimov | 2008-02-15 10:40:36 -0800 (Fri, 15 Feb 2008) | 1 line

Added support for &&,

................

r43272 | andreas_huber69 | 2008-02-16 02:13:08 -0800 (Sat, 16 Feb 2008) | 1 line

Updated statechart markup

................

r43274 | andreas_huber69 | 2008-02-16 02:19:49 -0800 (Sat, 16 Feb 2008) | 2 lines

Silenced GCC 4.0.1 warning (patch supplied by Euan) < http://thread.gmane.org/gmane.comp.lib.boost.devel/171071>

................

r43280 | jurko | 2008-02-16 08:50:42 -0800 (Sat, 16 Feb 2008) | 1 line

Corrected comments related to the allowed linker & linker-type values. Minor stylistic changes.

................

r43281 | jurko | 2008-02-16 08:53:33 -0800 (Sat, 16 Feb 2008) | 1 line

Added support for compiling C++ programs without RTTI support using the gcc toolset.

................

r43282 | jurko | 2008-02-16 09:03:54 -0800 (Sat, 16 Feb 2008) | 1 line

Made the msvc toolset always explicitly enable or disable rtti support based on the <rtti> feature value instead of only setting it if <rtti>on and depending on it being disabled by default. The original behaviour did not work well with msvc 8.0 for which there was not way to disable rtti support as that compiler enables rtti support by default.

................

r43283 | bemandawes | 2008-02-16 18:01:32 -0800 (Sat, 16 Feb 2008) | 1 line

Show output of example program

................

r43290 | hkaiser | 2008-02-17 08:45:08 -0800 (Sun, 17 Feb 2008) | 1 line

Wave: Extended a workaround to newest Intel compiler version (Linux V10.1)

................

r43292 | nesotto | 2008-02-17 08:49:38 -0800 (Sun, 17 Feb 2008) | 1 line

support for comparinson operators

................

r43293 | nesotto | 2008-02-17 08:50:02 -0800 (Sun, 17 Feb 2008) | 1 line

support for comparison operators

................

r43294 | hkaiser | 2008-02-17 09:00:20 -0800 (Sun, 17 Feb 2008) | 1 line

Wave: Fixed test cases to reflect recent changes to whitespace insertion.

................

r43296 | eric_niebler | 2008-02-17 12:53:18 -0800 (Sun, 17 Feb 2008) | 1 line

proto documentation improvements

................

r43299 | turkanis | 2008-02-17 21:48:13 -0800 (Sun, 17 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43243-43298: overhaul of category_of and close(): stringstream is now dual_seekable; standard file streams and string streams are closable; public Boost.Iostreams streams and streambufs are closable; close() pops filtering streams and streambufs

................

r43300 | eric_niebler | 2008-02-17 22:16:27 -0800 (Sun, 17 Feb 2008) | 1 line

remove dependence on boost.lambda, make numeric function objects work with std binders

................

r43301 | chris_kohlhoff | 2008-02-18 05:31:26 -0800 (Mon, 18 Feb 2008) | 2 lines

Fix printing of error messages.

................

r43302 | chris_kohlhoff | 2008-02-18 05:33:23 -0800 (Mon, 18 Feb 2008) | 2 lines

Only define _XOPEN_SOURCE_EXTENDED when building with gcc on HP-UX.

................

r43303 | chris_kohlhoff | 2008-02-18 05:35:15 -0800 (Mon, 18 Feb 2008) | 3 lines

Add missing #include of socket_types.hpp needed for the SSL unit tests to compile successfully on Windows.

................

r43306 | eric_niebler | 2008-02-18 10:29:29 -0800 (Mon, 18 Feb 2008) | 1 line

remove post_construct docs, fix link to boost.parameter library

................

r43308 | niels_dekker | 2008-02-18 14:11:19 -0800 (Mon, 18 Feb 2008) | 1 line

Fixed the assignment of value_initialized<T> for T being a C-style array. (The previous version would trigger a compile error in this case.)

................

r43309 | niels_dekker | 2008-02-18 14:13:21 -0800 (Mon, 18 Feb 2008) | 1 line

Tested the assignment of value_initialized<T>, for T being a C-style array. Related to the fix of changeset [43308]

................

r43310 | eric_niebler | 2008-02-18 15:03:23 -0800 (Mon, 18 Feb 2008) | 1 line

some doxygen comments for proto/traits.hpp

................

r43311 | eric_niebler | 2008-02-18 21:56:52 -0800 (Mon, 18 Feb 2008) | 1 line

more proto documentation tweaks, remove unnecessary result_of::arg_c instantiation

................

r43312 | eric_niebler | 2008-02-18 23:14:37 -0800 (Mon, 18 Feb 2008) | 1 line

fix droppable accumulators

................

r43314 | eric_niebler | 2008-02-18 23:33:30 -0800 (Mon, 18 Feb 2008) | 1 line

darn, back out bad droppable changes

................

r43316 | pdimov | 2008-02-19 05:18:58 -0800 (Tue, 19 Feb 2008) | 1 line

Fixes #1590.

................

r43317 | pdimov | 2008-02-19 06:01:13 -0800 (Tue, 19 Feb 2008) | 1 line

Fixes #1444.

................

r43318 | pdimov | 2008-02-19 06:26:36 -0800 (Tue, 19 Feb 2008) | 1 line

Fix #398, as long as the macros BOOST_NO_STD_TYPEINFO and BOOST_NO_IOSTREAM are defined. I don't know how Boost.Config needs to be changed to autodetect eVC4 and set these on its own.

................

r43319 | pdimov | 2008-02-19 06:51:10 -0800 (Tue, 19 Feb 2008) | 1 line

Fix #1641.

................

r43320 | pdimov | 2008-02-19 06:59:28 -0800 (Tue, 19 Feb 2008) | 1 line

Fix #1646.

................

r43321 | pdimov | 2008-02-19 07:09:10 -0800 (Tue, 19 Feb 2008) | 1 line

Fix #1642.

................

r43322 | nesotto | 2008-02-19 07:10:05 -0800 (Tue, 19 Feb 2008) | 1 line

fixed problem with operator()() when the value_type was abstract.

................

r43323 | pdimov | 2008-02-19 07:40:58 -0800 (Tue, 19 Feb 2008) | 1 line

Fix #1643.

................

r43325 | turkanis | 2008-02-19 11:34:07 -0800 (Tue, 19 Feb 2008) | 1 line

stringstreams are no longer closable; the semantics of close() for these devices was illconsidered

................

r43328 | turkanis | 2008-02-19 16:09:06 -0800 (Tue, 19 Feb 2008) | 1 line

menu fix from iostreams_dev

................

r43329 | turkanis | 2008-02-19 19:20:17 -0800 (Tue, 19 Feb 2008) | 1 line

markup for pgi-7.0 (iostreams)

................

r43330 | bemandawes | 2008-02-20 05:46:49 -0800 (Wed, 20 Feb 2008) | 1 line

Add .z7 archive generation

................

r43332 | grafik | 2008-02-20 09:32:09 -0800 (Wed, 20 Feb 2008) | 1 line

New readme page for now standalone release.

................

r43334 | grafik | 2008-02-20 11:15:16 -0800 (Wed, 20 Feb 2008) | 1 line

Fix link to getting started docs.

................

r43335 | grafik | 2008-02-20 14:50:03 -0800 (Wed, 20 Feb 2008) | 1 line

Add the <python.interpreter> to all requirements to allow other toolsets to use the currently configured python instead of relying on python being in the path.

................

r43336 | grafik | 2008-02-20 15:01:43 -0800 (Wed, 20 Feb 2008) | 1 line

Use the configured python interpreter instead of assuming it's in the path.

................

r43337 | grafik | 2008-02-20 15:03:28 -0800 (Wed, 20 Feb 2008) | 1 line

Add missing, and assumed, white background for screen rendering.

................

r43338 | grafik | 2008-02-20 15:26:58 -0800 (Wed, 20 Feb 2008) | 1 line

Doc cleanups.

................

r43344 | eric_niebler | 2008-02-20 23:18:24 -0800 (Wed, 20 Feb 2008) | 1 line

More Proto documentation

................

r43346 | johnmaddock | 2008-02-21 02:37:59 -0800 (Thu, 21 Feb 2008) | 3 lines

Fix typo in example. Added links to PDF versions of the docs. Regenerated all the docs to fix people links.

................

r43347 | johnmaddock | 2008-02-21 03:53:59 -0800 (Thu, 21 Feb 2008) | 1 line

Update main overview page.

................

r43349 | bemandawes | 2008-02-21 04:46:11 -0800 (Thu, 21 Feb 2008) | 1 line

Fix typo; .z7 should be .7z

................

r43351 | johnmaddock | 2008-02-21 04:58:15 -0800 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs, and regenerated.

................

r43354 | johnmaddock | 2008-02-21 05:51:18 -0800 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs, and regenerated.

................

r43357 | johnmaddock | 2008-02-21 08:49:59 -0800 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs.

................

r43359 | johnmaddock | 2008-02-21 09:01:26 -0800 (Thu, 21 Feb 2008) | 1 line

Regenerated docs to fix links.

................

r43361 | bemandawes | 2008-02-21 12:11:32 -0800 (Thu, 21 Feb 2008) | 1 line

Fix still another typo

................

r43362 | eric_niebler | 2008-02-21 12:12:02 -0800 (Thu, 21 Feb 2008) | 1 line

doxygen comments for proto::when<>

................

r43363 | eric_niebler | 2008-02-21 16:42:12 -0800 (Thu, 21 Feb 2008) | 1 line

fix crash when actions are in keep() expressions

................

r43364 | eric_niebler | 2008-02-21 18:01:46 -0800 (Thu, 21 Feb 2008) | 1 line

doxygen comments

................

r43365 | grafik | 2008-02-21 21:26:39 -0800 (Thu, 21 Feb 2008) | 1 line

Rename readme.html to index.html, and add forwarding index.htm for backward compatibility.

................

r43368 | danieljames | 2008-02-22 01:21:22 -0800 (Fri, 22 Feb 2008) | 2 lines

Update the index.html link in the navbar.

................

r43371 | grafik | 2008-02-22 08:25:21 -0800 (Fri, 22 Feb 2008) | 1 line

Remove obsolete getting started files. They where replaced by more/getting_started/*.

................

r43377 | chris_kohlhoff | 2008-02-22 14:43:54 -0800 (Fri, 22 Feb 2008) | 2 lines

Use the correct vector of timer queues when dispatching timers.

................

r43390 | turkanis | 2008-02-22 16:05:49 -0800 (Fri, 22 Feb 2008) | 2 lines

Ported change from iostreams_dev

................

r43391 | turkanis | 2008-02-22 16:06:24 -0800 (Fri, 22 Feb 2008) | 2 lines

Ported changes from iostreams_dev

................

r43392 | turkanis | 2008-02-22 16:07:13 -0800 (Fri, 22 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43327-43389

................

r43393 | turkanis | 2008-02-22 16:11:07 -0800 (Fri, 22 Feb 2008) | 1 line

merged changes from iostreams_dev

................

r43395 | turkanis | 2008-02-22 22:07:59 -0800 (Fri, 22 Feb 2008) | 1 line

updated to test close() on filtering streambufs

................

r43399 | turkanis | 2008-02-22 23:44:58 -0800 (Fri, 22 Feb 2008) | 1 line

merged changes from iostreams_dev

................

r43402 | bemandawes | 2008-02-23 06:04:02 -0800 (Sat, 23 Feb 2008) | 1 line

Give the 1st and 2nd level index.html files a common look-and-feel.

................

r43405 | vladimir_prus | 2008-02-24 04:59:04 -0800 (Sun, 24 Feb 2008) | 3 lines

Recognize that fact, for that for intel-win, <runtime-debuggin> matters and should be added to the library name.

................

r43409 | bemandawes | 2008-02-24 16:53:26 -0800 (Sun, 24 Feb 2008) | 1 line

Fix html boo boo

................

r43410 | schoepflin | 2008-02-25 00:37:10 -0800 (Mon, 25 Feb 2008) | 1 line

Added missing template keyword.

................

r43411 | t_schwinger | 2008-02-25 03:45:51 -0800 (Mon, 25 Feb 2008) | 3 lines

removes unnecessary escaping

................

r43412 | t_schwinger | 2008-02-25 03:47:59 -0800 (Mon, 25 Feb 2008) | 3 lines

removes unnecessary comment

................

r43416 | hkaiser | 2008-02-26 11:25:05 -0800 (Tue, 26 Feb 2008) | 1 line

Wave: Fixed expanding_function_like_macro preprocessing hook.

................

r43417 | danieljames | 2008-02-26 14:04:55 -0800 (Tue, 26 Feb 2008) | 2 lines

Fix a link to Boost.Bimap.

................

r43418 | danieljames | 2008-02-26 14:07:25 -0800 (Tue, 26 Feb 2008) | 2 lines

Change another link that's no longer in the repository to link to the website.

................

r43419 | hkaiser | 2008-02-26 14:36:36 -0800 (Tue, 26 Feb 2008) | 1 line

Fixed a compilation problem on pathscale

................

r43421 | eric_niebler | 2008-02-27 10:48:22 -0800 (Wed, 27 Feb 2008) | 1 line

partially revert breaking change to independent sub-expressions until I can make a proper fix

................

r43422 | danieljames | 2008-02-27 10:51:14 -0800 (Wed, 27 Feb 2008) | 1 line

Fix broken copyright urls. Fixes #1573.

................

r43423 | danieljames | 2008-02-27 11:22:01 -0800 (Wed, 27 Feb 2008) | 1 line

Fix incorrect links to copyright of the form 'http:#www.boost.org

................

r43424 | eric_niebler | 2008-02-27 11:39:43 -0800 (Wed, 27 Feb 2008) | 1 line

fix bug in use_simple_repeat calculation

................

r43428 | eric_niebler | 2008-02-27 16:03:15 -0800 (Wed, 27 Feb 2008) | 1 line

add test case for use_simple_repeat fix

................

r43433 | eric_niebler | 2008-02-28 14:47:12 -0800 (Thu, 28 Feb 2008) | 1 line

fix oops

................

r43434 | johnmaddock | 2008-02-29 01:49:42 -0800 (Fri, 29 Feb 2008) | 1 line

Apply fixes to issue #1658 which fixes some broken URL's.

................

r43435 | johnmaddock | 2008-02-29 01:58:30 -0800 (Fri, 29 Feb 2008) | 1 line

Fix broken link as per report #1658.

................

r43437 | chris_kohlhoff | 2008-02-29 04:57:57 -0800 (Fri, 29 Feb 2008) | 2 lines

Add missing tie().

................

r43438 | schoepflin | 2008-02-29 07:13:41 -0800 (Fri, 29 Feb 2008) | 2 lines

Added expected failure markup for the test weighted_tail_variate_means on Tru64/CXX.

................

r43441 | eric_niebler | 2008-03-01 11:32:56 -0800 (Sat, 01 Mar 2008) | 1 line

add map_assign example

................

r43458 | turkanis | 2008-03-02 22:20:14 -0800 (Sun, 02 Mar 2008) | 1 line

merged changes from iostreams_dev, revisions 43399-43457

................

r43461 | anthonyw | 2008-03-03 00:44:42 -0800 (Mon, 03 Mar 2008) | 1 line

Test and fix for issue #1665

................

r43464 | anthonyw | 2008-03-03 02:52:44 -0800 (Mon, 03 Mar 2008) | 1 line

thread constructor now accepts up to three additional arguments to pass to thread function

................

r43467 | danieljames | 2008-03-03 04:10:35 -0800 (Mon, 03 Mar 2008) | 2 lines

Tell subversion that date_time.doc is a text file, not a word document.

................

r43468 | danieljames | 2008-03-03 04:11:25 -0800 (Mon, 03 Mar 2008) | 1 line

Fix license link in date_time.doc

................

r43469 | chris_kohlhoff | 2008-03-03 05:21:05 -0800 (Mon, 03 Mar 2008) | 4 lines

Disable use of CancelIo? by default, due to the possibility of silent failure on some system configurations. Swallow error returned by CancelIoEx? if there are no operations to be cancelled.

................

r43470 | chris_kohlhoff | 2008-03-03 05:27:06 -0800 (Mon, 03 Mar 2008) | 2 lines

Add missing 'boost_' prefix to helper namespace.

................

r43471 | chris_kohlhoff | 2008-03-03 05:36:35 -0800 (Mon, 03 Mar 2008) | 2 lines

Regenerate documentation.

................

r43472 | chris_kohlhoff | 2008-03-03 06:05:35 -0800 (Mon, 03 Mar 2008) | 1 line

Update copyright notices.

................

r43473 | chris_kohlhoff | 2008-03-03 06:13:01 -0800 (Mon, 03 Mar 2008) | 2 lines

Update copyright notices.

................

r43476 | eric_niebler | 2008-03-03 11:44:54 -0800 (Mon, 03 Mar 2008) | 1 line

add Map Assign example to documentation

................

r43478 | eric_niebler | 2008-03-03 11:47:47 -0800 (Mon, 03 Mar 2008) | 1 line

second attempt at fixing actions in independent expressions

................

r43484 | eric_niebler | 2008-03-03 15:48:17 -0800 (Mon, 03 Mar 2008) | 1 line

handle static regexes with actions nested in dynamic independent subexpressions

................

r43485 | emildotchevski | 2008-03-03 17:41:17 -0800 (Mon, 03 Mar 2008) | 1 line

boost exception

................

r43496 | eric_niebler | 2008-03-04 10:51:07 -0800 (Tue, 04 Mar 2008) | 1 line

rename numeric::empty to numeric::default_, fixes #1650

................

r43501 | eric_niebler | 2008-03-04 11:31:57 -0800 (Tue, 04 Mar 2008) | 1 line

eliminate msvc level 4 warnings, fixes #1631

................

r43502 | eric_niebler | 2008-03-04 11:42:36 -0800 (Tue, 04 Mar 2008) | 1 line

add Dave Jenkin's evil static/dynamic actions in keep test case

................

r43503 | eric_niebler | 2008-03-04 13:09:47 -0800 (Tue, 04 Mar 2008) | 1 line

work around msvc bug 331418, fixes #1652

................

r43506 | eric_niebler | 2008-03-04 15:01:17 -0800 (Tue, 04 Mar 2008) | 1 line

fix bad interaction between boyer-moore optimization and partial match feature, fixes #1564

................

r43508 | eric_niebler | 2008-03-04 22:32:39 -0800 (Tue, 04 Mar 2008) | 1 line

add BOOST_REVERSE_FOREACH, fixes #1071

................

r43509 | eric_niebler | 2008-03-04 23:12:03 -0800 (Tue, 04 Mar 2008) | 1 line

fix bug iterating over abstract base

................

comment:4 Changed 6 years ago by danieljames

(In [43816]) Merged revisions 42883-43814 via svnmerge from  https://svn.boost.org/svn/boost/trunk

................

r42884 | jurko | 2008-01-20 20:18:50 +0000 (Sun, 20 Jan 2008) | 5 lines

Minor stylistic changes:

  • Removed trailing spaces.
  • Added a comment for code discovering the user's home-directories.
  • Removed a stale regex import.
  • Removed an old corpse 'identity' rule found inside the test rule.

................

r42890 | johnmaddock | 2008-01-21 09:41:17 +0000 (Mon, 21 Jan 2008) | 1 line

Only disable wide character support for HP aCC: for gcc the logic is already taken care of in libstdcpp3.hpp.

................

r42897 | hkaiser | 2008-01-21 16:13:31 +0000 (Mon, 21 Jan 2008) | 1 line

Removed a duplicate entry.

................

r42898 | rogeeff | 2008-01-21 17:02:53 +0000 (Mon, 21 Jan 2008) | 1 line

changed output of booleans

................

r42899 | johnmaddock | 2008-01-21 18:11:09 +0000 (Mon, 21 Jan 2008) | 1 line

Updated type traits library so that everything compiles with -Wall -pedantic with GCC.

................

r42904 | davedeakins | 2008-01-21 19:38:44 +0000 (Mon, 21 Jan 2008) | 1 line

Don't include <eh.h> for WinCE (since WinCE does not have this header)

................

r42906 | eric_niebler | 2008-01-21 20:39:35 +0000 (Mon, 21 Jan 2008) | 1 line

minor clean-up

................

r42909 | rogeeff | 2008-01-22 03:41:23 +0000 (Tue, 22 Jan 2008) | 1 line

missing header

................

r42911 | igaztanaga | 2008-01-22 16:49:22 +0000 (Tue, 22 Jan 2008) | 1 line

Refactor some allocation code and fix instantiation problem in 64 bit platforms

................

r42916 | eric_niebler | 2008-01-22 20:42:18 +0000 (Tue, 22 Jan 2008) | 1 line

add concepts section to proto reference

................

r42917 | hljin | 2008-01-22 22:10:48 +0000 (Tue, 22 Jan 2008) | 1 line

GIL: fixed the problem with std::hex by adding #include <ios>

................

r42918 | eric_niebler | 2008-01-23 02:23:15 +0000 (Wed, 23 Jan 2008) | 1 line

proto works with boost 1.34.1

................

r42929 | johnmaddock | 2008-01-23 16:08:44 +0000 (Wed, 23 Jan 2008) | 1 line

Applies fix for issue #1598: added missing #include.

................

r42931 | igaztanaga | 2008-01-23 19:34:39 +0000 (Wed, 23 Jan 2008) | 1 line

Ticket #1593: [interprocess] 'streamoff' : is not a member of 'std'

................

r42934 | andreas_huber69 | 2008-01-23 21:46:58 +0000 (Wed, 23 Jan 2008) | 1 line

Fixes #1594

................

r42935 | eric_niebler | 2008-01-23 21:57:47 +0000 (Wed, 23 Jan 2008) | 1 line

fix dependency issue in Jamfile

................

r42938 | jano_gaspar | 2008-01-23 23:04:57 +0000 (Wed, 23 Jan 2008) | 1 line

circular_buffer: updated documentation

................

r42939 | eric_niebler | 2008-01-23 23:25:24 +0000 (Wed, 23 Jan 2008) | 1 line

fix quickbook scanner to recognize the [import ...] block

................

r42943 | danieljames | 2008-01-23 23:39:59 +0000 (Wed, 23 Jan 2008) | 60 lines

Merged revisions 42882-42941 via svnmerge from  https://svn.boost.org/svn/boost/branches/unordered/trunk

................

r42887 | danieljames | 2008-01-20 21:32:04 +0000 (Sun, 20 Jan 2008) | 10 lines

Merged revisions 42590-42664,42667-42697,42699-42723,42725-42855,42857-42881 via svnmerge from  https://svn.boost.org/svn/boost/trunk

........

r42881 | danieljames | 2008-01-20 17:37:21 +0000 (Sun, 20 Jan 2008) | 1 line

Include <new> to get std::bad_alloc.

........

................

r42892 | danieljames | 2008-01-21 13:03:16 +0000 (Mon, 21 Jan 2008) | 1 line

On some compilers the Rogue Wave/Apache? stdcxx library doesn't have the normal std::distance, but instead has a variant that takes the result as the third parameter so it doesn't have to work out the type from the iterator.

................

r42893 | danieljames | 2008-01-21 13:07:58 +0000 (Mon, 21 Jan 2008) | 1 line

Fix a typo in the last commit.

................

r42895 | danieljames | 2008-01-21 13:33:29 +0000 (Mon, 21 Jan 2008) | 1 line

Remove tabs from the last checkin.

................

r42896 | danieljames | 2008-01-21 15:51:40 +0000 (Mon, 21 Jan 2008) | 1 line

Use Boost config to tell when we have a std::distance function. Also, no need for a macro.

................

r42908 | danieljames | 2008-01-21 21:37:04 +0000 (Mon, 21 Jan 2008) | 1 line

Use boost::long_long_type and boost::ulong_long_type.

................

r42921 | danieljames | 2008-01-23 11:43:35 +0000 (Wed, 23 Jan 2008) | 1 line

Remove some tabs.

................

r42922 | danieljames | 2008-01-23 11:46:28 +0000 (Wed, 23 Jan 2008) | 2 lines

Add missing include. Refs #1596

................

r42923 | danieljames | 2008-01-23 11:52:47 +0000 (Wed, 23 Jan 2008) | 2 lines

Always use void const* for the second parameter of allocate. Refs #1596.

................

r42936 | danieljames | 2008-01-23 22:22:16 +0000 (Wed, 23 Jan 2008) | 1 line

Use Boost style library name in the documentation.

................

r42937 | danieljames | 2008-01-23 22:22:32 +0000 (Wed, 23 Jan 2008) | 1 line

More tabs.

................

r42941 | danieljames | 2008-01-23 23:35:01 +0000 (Wed, 23 Jan 2008) | 1 line

Fix all the allocators.

................

................

r42948 | turkanis | 2008-01-24 06:50:32 +0000 (Thu, 24 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42825-42947

................

r42950 | t_schwinger | 2008-01-24 18:56:27 +0000 (Thu, 24 Jan 2008) | 3 lines

correctsbroken compiler support for MPL

................

r42951 | eric_niebler | 2008-01-24 21:06:23 +0000 (Thu, 24 Jan 2008) | 1 line

peeker optimization looks inside independent sub-expressions

................

r42952 | nesotto | 2008-01-24 22:22:35 +0000 (Thu, 24 Jan 2008) | 1 line

test of output iterators

................

r42953 | nesotto | 2008-01-24 22:26:36 +0000 (Thu, 24 Jan 2008) | 1 line

output iterator test

................

r42954 | nesotto | 2008-01-24 22:27:27 +0000 (Thu, 24 Jan 2008) | 1 line

output iterators for ptr_containers

................

r42957 | t_schwinger | 2008-01-25 00:26:16 +0000 (Fri, 25 Jan 2008) | 3 lines

simplifies preprocessing code

................

r42958 | t_schwinger | 2008-01-25 00:28:15 +0000 (Fri, 25 Jan 2008) | 3 lines

touched

................

r42960 | noel_belcourt | 2008-01-25 04:41:16 +0000 (Fri, 25 Jan 2008) | 6 lines

Changed the -soname and -shared options in intel-darwin.jam to use -dynamiclib and -install_name, as done in darwin.jam. Apparently the Intel compilers on the Mac support the same options as gcc for setting the internal dynamic library name.

................

r42963 | nesotto | 2008-01-25 07:52:14 +0000 (Fri, 25 Jan 2008) | 1 line

renaming ...

................

r42964 | nesotto | 2008-01-25 07:52:56 +0000 (Fri, 25 Jan 2008) | 1 line

renaming

................

r42965 | nesotto | 2008-01-25 07:54:28 +0000 (Fri, 25 Jan 2008) | 1 line

renaming

................

r42970 | turkanis | 2008-01-25 17:56:25 +0000 (Fri, 25 Jan 2008) | 1 line

merged changes from iostreams_dev, revisions 42947-42962: fixed tickets 1003, 1139, 1140, 1149

................

r42971 | noel_belcourt | 2008-01-25 19:52:47 +0000 (Fri, 25 Jan 2008) | 2 lines

Fixed a typo to yesterdays patch.

................

r42972 | dgregor | 2008-01-25 21:07:14 +0000 (Fri, 25 Jan 2008) | 2 lines

Include <ios> to get std::boolalpha. Fixes #1586

................

r42974 | igaztanaga | 2008-01-25 23:07:51 +0000 (Fri, 25 Jan 2008) | 4 lines

1)Fixed gcc release mode warnings. 2)Replaced throw with BOOST_RETHROW when BOOST_TRY is used. 3)Fixed issues with singly linked lists

................

r42976 | hkaiser | 2008-01-26 01:24:21 +0000 (Sat, 26 Jan 2008) | 2 lines

Wave: Fixed a problem in flex_string::compare() (#include_next was non-functional).

................

r42977 | hkaiser | 2008-01-26 01:36:20 +0000 (Sat, 26 Jan 2008) | 1 line

Wave: Added new testcase.

................

r42980 | hkaiser | 2008-01-26 01:44:32 +0000 (Sat, 26 Jan 2008) | 1 line

Wave: Tweaked new testcase.

................

r42982 | igaztanaga | 2008-01-26 11:52:25 +0000 (Sat, 26 Jan 2008) | 1 line

Refactored common slist functions in a single class

................

r42984 | noel_belcourt | 2008-01-26 18:35:59 +0000 (Sat, 26 Jan 2008) | 7 lines

Fixes #416

Fixed spelling of Jack Edmonds name and renamed files where necessary. Updated the documentation as well. Tested changes by building/running tests in libs/graph/test.

................

r42985 | noel_belcourt | 2008-01-26 18:51:28 +0000 (Sat, 26 Jan 2008) | 5 lines

Fixes #640

Corrected the mpl push_front html documentation.

................

r42986 | eric_niebler | 2008-01-26 19:38:44 +0000 (Sat, 26 Jan 2008) | 1 line

optimize repeated searches with patterns that have leading repeats

................

r42987 | t_schwinger | 2008-01-26 21:50:14 +0000 (Sat, 26 Jan 2008) | 3 lines

attempts to allow some preprocessing with VACPP (IBM)

................

r42988 | noel_belcourt | 2008-01-26 22:21:57 +0000 (Sat, 26 Jan 2008) | 5 lines

Fixes #1539

Fixed typo in the random documentation.

................

r42989 | noel_belcourt | 2008-01-26 23:06:24 +0000 (Sat, 26 Jan 2008) | 6 lines

Fixes #965

Patched the XML and will check to ensure the html page reflects this change.

................

r42990 | eric_niebler | 2008-01-27 05:56:46 +0000 (Sun, 27 Jan 2008) | 1 line

updated vcproj

................

r42991 | eric_niebler | 2008-01-27 05:57:08 +0000 (Sun, 27 Jan 2008) | 1 line

fix typo

................

r42992 | johnmaddock | 2008-01-27 18:43:35 +0000 (Sun, 27 Jan 2008) | 1 line

Extended leading repeat optimization to more cases.

................

r42997 | vladimir_prus | 2008-01-28 17:59:27 +0000 (Mon, 28 Jan 2008) | 1 line

Correct speliing of --build-dir in --help output

................

r43000 | eric_niebler | 2008-01-28 20:03:41 +0000 (Mon, 28 Jan 2008) | 1 line

update acknowledgement of john maddock

................

r43001 | bgubenko | 2008-01-28 21:27:13 +0000 (Mon, 28 Jan 2008) | 1 line

marked 2 asio library tests for gcc-4.2.1_hpux_ia64 (HP-UX 11.23 with gcc)

................

r43002 | eric_niebler | 2008-01-28 22:55:30 +0000 (Mon, 28 Jan 2008) | 1 line

doc more concepts, misc clean-up

................

r43003 | eric_niebler | 2008-01-28 22:56:46 +0000 (Mon, 28 Jan 2008) | 1 line

proto doxygen comments, misc clean-up

................

r43006 | eric_niebler | 2008-01-29 02:20:45 +0000 (Tue, 29 Jan 2008) | 1 line

more proto doxygen comments, update copyright

................

r43007 | vladimir_prus | 2008-01-29 06:28:09 +0000 (Tue, 29 Jan 2008) | 1 line

Retain top-level boost-build.jam

................

r43008 | vladimir_prus | 2008-01-29 06:40:06 +0000 (Tue, 29 Jan 2008) | 4 lines

Disable relinking when <target-os> is either windows or cygwin.

Fixes #1062.

................

r43009 | eric_niebler | 2008-01-29 07:03:03 +0000 (Tue, 29 Jan 2008) | 1 line

add tests for deep_copy, make_expr, unpack_expr; fix bugs; update more copyrights

................

r43012 | djenkins | 2008-01-29 16:41:12 +0000 (Tue, 29 Jan 2008) | 1 line

fix typo

................

r43013 | djenkins | 2008-01-29 16:43:51 +0000 (Tue, 29 Jan 2008) | 1 line

update copyright and misc cleanup

................

r43014 | bgubenko | 2008-01-29 17:47:01 +0000 (Tue, 29 Jan 2008) | 1 line

marked interprocess library unusable on gcc-4.2.1_hpux_ia64 (until it is ported to HP-UX platform)

................

r43016 | eric_niebler | 2008-01-29 21:02:52 +0000 (Tue, 29 Jan 2008) | 1 line

make_expr and unpack_expr improvements, fix scary transform::arg_c bug

................

r43018 | djenkins | 2008-01-30 03:39:02 +0000 (Wed, 30 Jan 2008) | 1 line

use skip directive to simplify example

................

r43023 | eric_niebler | 2008-01-30 22:10:13 +0000 (Wed, 30 Jan 2008) | 1 line

finally, a make_expr() I can live with

................

r43024 | eric_niebler | 2008-01-30 22:26:34 +0000 (Wed, 30 Jan 2008) | 1 line

regenerated boostbook reference

................

r43025 | niels_dekker | 2008-01-30 22:42:23 +0000 (Wed, 30 Jan 2008) | 1 line

value_init: Removed aligned_storage::address() calls, to improve TR1 compatibility, as confirmed by John Maddock. Added internal helper function, wrapper_address(), as discussed with Fernando.

................

r43026 | eric_niebler | 2008-01-30 23:03:36 +0000 (Wed, 30 Jan 2008) | 1 line

minor tweak to make_expr result_of return type calculation

................

r43031 | eric_niebler | 2008-01-31 07:36:28 +0000 (Thu, 31 Jan 2008) | 1 line

simplify make_expr.hpp, user docs for make_expr()

................

r43035 | eric_niebler | 2008-01-31 18:44:17 +0000 (Thu, 31 Jan 2008) | 1 line

minor tweak to fusion value_of and value_at for expressions, for better interop with proto::unpack_expr

................

r43037 | vladimir_prus | 2008-01-31 19:47:12 +0000 (Thu, 31 Jan 2008) | 1 line

Build in MT mode (as long as wave links to boost.thread)

................

r43038 | hkaiser | 2008-01-31 20:57:47 +0000 (Thu, 31 Jan 2008) | 1 line

Wave: fixed expanding_function_like_macro()

................

r43040 | eric_niebler | 2008-01-31 21:12:44 +0000 (Thu, 31 Jan 2008) | 1 line

finish documentation for expression construction utilities

................

r43041 | hkaiser | 2008-01-31 22:33:43 +0000 (Thu, 31 Jan 2008) | 1 line

Wave: Added additional configuration possibility to allow control threading support.

................

r43042 | hkaiser | 2008-01-31 22:48:56 +0000 (Thu, 31 Jan 2008) | 1 line

Wave: Added additional configuration possibility to allow control threading support. Updated the documentation.

................

r43043 | jurko | 2008-02-01 00:27:31 +0000 (Fri, 01 Feb 2008) | 1 line

Reverted changes made in rev 43038 which seem to have been committed by mistake and include some user specific settings in it local to the comitter's environment while this file is intended to be used as generic template for actual user-config.jam files and do nothing in case user does not specify his own settings there.

................

r43044 | jurko | 2008-02-01 00:44:23 +0000 (Fri, 01 Feb 2008) | 1 line

Minor stylistic spacing changes. Remove trailing spaces.

................

r43045 | jurko | 2008-02-01 00:46:50 +0000 (Fri, 01 Feb 2008) | 1 line

Corrected outputting native Windows paths so that it works correctly for absolute paths without the drive letter being explicitly specified, e.g. \aaa\bbb or /aaa/bbb.

................

r43046 | jurko | 2008-02-01 01:49:16 +0000 (Fri, 01 Feb 2008) | 1 line

Added the missing end-of-line character when outputting DEBUG_SEARCH debug messages from file_build1(). This cleans up the -d+6 bjam output a lot.

................

r43050 | eric_niebler | 2008-02-01 20:30:29 +0000 (Fri, 01 Feb 2008) | 1 line

add future group example

................

r43052 | noel_belcourt | 2008-02-02 02:41:23 +0000 (Sat, 02 Feb 2008) | 4 lines

Fix a typo in pgi.jam that prevented shared libraries from being built correctly.

................

r43054 | chris_kohlhoff | 2008-02-02 11:37:45 +0000 (Sat, 02 Feb 2008) | 4 lines

Ensure that the workaround for the MSVC secure iterator problem is only used when compiling with MSVC. The workaround causes g++'s library debug mode to report errors due to the assignment from a singular iterator.

................

r43055 | chris_kohlhoff | 2008-02-02 11:39:17 +0000 (Sat, 02 Feb 2008) | 2 lines

Fix "possible loss of data" warning when building for Windows 2000 targets.

................

r43056 | chris_kohlhoff | 2008-02-02 12:02:23 +0000 (Sat, 02 Feb 2008) | 3 lines

The latest Windows SDKs don't support IPv6 when building for Windows 2000, so we need to use the SDK emulation in that case.

................

r43057 | eric_niebler | 2008-02-02 12:27:16 +0000 (Sat, 02 Feb 2008) | 1 line

port test to boost version 1.34.1

................

r43061 | turkanis | 2008-02-02 22:10:46 +0000 (Sat, 02 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 42962-43059: updated copyright notices

................

r43080 | eric_niebler | 2008-02-03 18:40:03 +0000 (Sun, 03 Feb 2008) | 1 line

fix bug found by L. Evans re: fusion and stateful function objects

................

r43083 | johnmaddock | 2008-02-04 09:13:36 +0000 (Mon, 04 Feb 2008) | 1 line

Added missing file.

................

r43085 | johnmaddock | 2008-02-04 09:17:35 +0000 (Mon, 04 Feb 2008) | 1 line

Removed dead file.

................

r43087 | johnmaddock | 2008-02-04 09:20:46 +0000 (Mon, 04 Feb 2008) | 1 line

Removed dead files.

................

r43089 | johnmaddock | 2008-02-04 09:23:28 +0000 (Mon, 04 Feb 2008) | 1 line

Removed dead files.

................

r43094 | anthonyw | 2008-02-04 13:16:32 +0000 (Mon, 04 Feb 2008) | 1 line

added test for duration overloads of timed_lock, and added missing implementation to win32 version

................

r43101 | hkaiser | 2008-02-04 19:21:46 +0000 (Mon, 04 Feb 2008) | 1 line

Wave: trying to fix stdcxx_gcc regression.

................

r43103 | matias | 2008-02-04 21:01:06 +0000 (Mon, 04 Feb 2008) | 1 line

hooking --> additional information in html docs

................

r43106 | eric_niebler | 2008-02-05 02:09:51 +0000 (Tue, 05 Feb 2008) | 1 line

fleshing out evaluation.qbk, document transforms of if_, not_, and_ and or_

................

r43107 | eric_niebler | 2008-02-05 05:33:12 +0000 (Tue, 05 Feb 2008) | 1 line

eliminate warnings under msvc's -W4

................

r43111 | eric_niebler | 2008-02-05 06:03:01 +0000 (Tue, 05 Feb 2008) | 1 line

fix typo

................

r43112 | marshall | 2008-02-05 16:07:19 +0000 (Tue, 05 Feb 2008) | 1 line

Fix typo (bug #1434)

................

r43113 | marshall | 2008-02-05 16:15:35 +0000 (Tue, 05 Feb 2008) | 1 line

Applied patch (fixes bug #1307)

................

r43117 | dgregor | 2008-02-05 20:51:23 +0000 (Tue, 05 Feb 2008) | 1 line

Fix add_vertex and add_vertices when the CSR graph has vertex properties

................

r43118 | danieljames | 2008-02-05 20:57:02 +0000 (Tue, 05 Feb 2008) | 13 lines

Merged revisions 42942-43116 via svnmerge from  https://svn.boost.org/svn/boost/branches/unordered/trunk

........

r42975 | danieljames | 2008-01-26 00:29:32 +0000 (Sat, 26 Jan 2008) | 1 line

Typedef some types before using them, to make life easier for Borland.

........

r43116 | danieljames | 2008-02-05 20:47:44 +0000 (Tue, 05 Feb 2008) | 1 line

Some compilers and libraries combinations have problems with deques of non-assingable types. Using a list instead.

........

................

r43120 | eric_niebler | 2008-02-05 21:07:31 +0000 (Tue, 05 Feb 2008) | 1 line

add missing #include

................

r43121 | bemandawes | 2008-02-06 02:01:46 +0000 (Wed, 06 Feb 2008) | 1 line

Add circular_buffer to the alphabetic list

................

r43125 | t_schwinger | 2008-02-06 13:00:08 +0000 (Wed, 06 Feb 2008) | 3 lines

attempts to make synthesis metafunctions work with sun compiler

................

r43129 | danieljames | 2008-02-06 19:02:38 +0000 (Wed, 06 Feb 2008) | 2 lines

In the boostbook navbar, link FAQ and people to the website.

................

r43130 | eric_niebler | 2008-02-06 19:57:51 +0000 (Wed, 06 Feb 2008) | 1 line

untabify

................

r43132 | nesotto | 2008-02-06 22:46:19 +0000 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection report

................

r43133 | nesotto | 2008-02-06 22:46:31 +0000 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection report

................

r43134 | eric_niebler | 2008-02-06 22:57:57 +0000 (Wed, 06 Feb 2008) | 1 line

add handy get() accessors on literal<> wrapper

................

r43135 | nesotto | 2008-02-06 23:12:21 +0000 (Wed, 06 Feb 2008) | 1 line

cleanup to pass inspection tool

................

r43136 | eric_niebler | 2008-02-07 00:05:01 +0000 (Thu, 07 Feb 2008) | 1 line

reasonably complete user docs for expression evaluation

................

r43138 | eric_niebler | 2008-02-07 08:06:29 +0000 (Thu, 07 Feb 2008) | 1 line

tweaks for doxygen 1.5.4, document matches<>

................

r43141 | johnmaddock | 2008-02-07 09:55:41 +0000 (Thu, 07 Feb 2008) | 1 line

Fix last checked version.

................

r43143 | johnmaddock | 2008-02-07 10:03:16 +0000 (Thu, 07 Feb 2008) | 1 line

Remove tabs.

................

r43145 | johnmaddock | 2008-02-07 10:13:31 +0000 (Thu, 07 Feb 2008) | 1 line

Fix min/max usage violation.

................

r43147 | vladimir_prus | 2008-02-07 10:17:03 +0000 (Thu, 07 Feb 2008) | 2 lines

Attempt to unbreak <library-file>

................

r43148 | johnmaddock | 2008-02-07 10:24:29 +0000 (Thu, 07 Feb 2008) | 1 line

Added comment to suppress inspect warning.

................

r43150 | johnmaddock | 2008-02-07 10:29:59 +0000 (Thu, 07 Feb 2008) | 1 line

Added fix for inspection report.

................

r43152 | vladimir_prus | 2008-02-07 11:04:30 +0000 (Thu, 07 Feb 2008) | 4 lines

Fix <framework> with no path.

Patch from Jon Olsson.

................

r43154 | bemandawes | 2008-02-07 13:22:34 +0000 (Thu, 07 Feb 2008) | 1 line

Remove obsolete CVS scripts, add 1.35.0 SVN scripts, beginning of docs page

................

r43155 | nesotto | 2008-02-07 14:41:04 +0000 (Thu, 07 Feb 2008) | 6 lines

iterator_range disables msvc warning 4996

< http://svn.boost.org/trac/boost/ticket/1565>

[range] sub_range assignment issue

< http://svn.boost.org/trac/boost/ticket/1284>

................

r43156 | nesotto | 2008-02-07 14:46:19 +0000 (Thu, 07 Feb 2008) | 1 line

test

................

r43157 | joaquin | 2008-02-07 16:29:27 +0000 (Thu, 07 Feb 2008) | 1 line

updated according to latest regression tests results, fixed a broken link, typo

................

r43159 | turkanis | 2008-02-07 17:07:28 +0000 (Thu, 07 Feb 2008) | 1 line

added missing 'self.' qualification

................

r43165 | dgregor | 2008-02-07 21:08:09 +0000 (Thu, 07 Feb 2008) | 1 line

Support for non-blocking MPI operations in Python, from Andreas Kloeckner

................

r43166 | dgregor | 2008-02-07 21:09:38 +0000 (Thu, 07 Feb 2008) | 1 line

Note addition of nonblocking operations to the Python interface

................

r43171 | nesotto | 2008-02-08 09:58:35 +0000 (Fri, 08 Feb 2008) | 1 line

silence of warnings for unused arguments

................

r43175 | nesotto | 2008-02-08 15:25:01 +0000 (Fri, 08 Feb 2008) | 1 line

missing ) fixed

................

r43176 | noel_belcourt | 2008-02-08 16:32:35 +0000 (Fri, 08 Feb 2008) | 14 lines

Force PPC Darwin to use fork instead of vfork. This change requires both the parent and child process to explicitly set the process group id. Vfork guarantees the child process runs to the exec before it releases the parent process. Now that we use fork instead of vfork, it's possible for the parent to wait on the child process without having the child setpgid on itself. This eliminates spurious hangs on ppc darwin caused by either a race condition between vfork and execvp, or a bug in the vfork implementation.

Added a test to ensure we don't try to read from the stderr pipe descriptor if the descriptor's not valid.

................

r43177 | eric_niebler | 2008-02-08 17:11:57 +0000 (Fri, 08 Feb 2008) | 1 line

reserve some c_type bits for dinkumware on windows, fixes #1625

................

r43179 | noel_belcourt | 2008-02-08 17:53:50 +0000 (Fri, 08 Feb 2008) | 13 lines

I've added the -single_module option to the intel-darwin.link.dll action to fix this linker error when linking dylibs:

ld: common symbols not allowed with MH_DYLIB output format with the -multi_module option boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZGVZNK5boost6system14error_category7messageEiE1s (size 16)

boost/bin.v2/libs/system/build/intel-darwin-9.1/debug/macosx-version-10.4/error_code.o

definition of common ZZNK5boost6system14error_category7messageEiE1s (size 16)

though I would note that the common symbols problem occurs in a number of other libraries (test, graph, spirit, ...) as well.

................

r43188 | danieljames | 2008-02-09 12:29:02 +0000 (Sat, 09 Feb 2008) | 2 lines

Fix a link in the intrusive redirect.

................

r43189 | danieljames | 2008-02-09 12:37:00 +0000 (Sat, 09 Feb 2008) | 1 line

Fix another redirect link.

................

r43190 | danieljames | 2008-02-09 12:38:19 +0000 (Sat, 09 Feb 2008) | 1 line

Update link to Jamfile, to link to the version 2 jamfile.

................

r43191 | danieljames | 2008-02-09 12:39:06 +0000 (Sat, 09 Feb 2008) | 1 line

Fix a link.

................

r43192 | danieljames | 2008-02-09 12:45:32 +0000 (Sat, 09 Feb 2008) | 2 lines

Add a forwarding header for hash/custom.html as Boost.Bimap links to it.

................

r43193 | danieljames | 2008-02-09 13:02:45 +0000 (Sat, 09 Feb 2008) | 1 line

Fix the link to the license.

................

r43199 | eric_niebler | 2008-02-09 20:32:27 +0000 (Sat, 09 Feb 2008) | 1 line

more doxygen comments, const-correctness tweak for fusion::at() on proto expression

................

r43200 | eric_niebler | 2008-02-09 20:34:33 +0000 (Sat, 09 Feb 2008) | 1 line

document how to access children of proto expressions

................

r43204 | eric_niebler | 2008-02-10 06:57:24 +0000 (Sun, 10 Feb 2008) | 1 line

fix oops in proto fusion interface

................

r43205 | eric_niebler | 2008-02-10 07:02:54 +0000 (Sun, 10 Feb 2008) | 1 line

suppress msvc warning

................

r43206 | danieljames | 2008-02-10 09:55:03 +0000 (Sun, 10 Feb 2008) | 1 line

Fix some broken links.

................

r43207 | vladimir_prus | 2008-02-10 13:13:41 +0000 (Sun, 10 Feb 2008) | 4 lines

Tolerate argc being zero.

Patch from C. K. Jester-Young.

................

r43209 | danieljames | 2008-02-10 14:56:22 +0000 (Sun, 10 Feb 2008) | 1 line

Link to people pages on the website, as they've been removed from the download.

................

r43210 | danieljames | 2008-02-10 15:02:17 +0000 (Sun, 10 Feb 2008) | 1 line

Point links to the pages that used to be in 'more' to the site.

................

r43212 | danieljames | 2008-02-10 16:10:16 +0000 (Sun, 10 Feb 2008) | 1 line

Fix links on the home page as well.

................

r43213 | danieljames | 2008-02-10 16:21:22 +0000 (Sun, 10 Feb 2008) | 1 line

Generated documentation which is no longer generated.

................

r43220 | eric_niebler | 2008-02-11 03:48:41 +0000 (Mon, 11 Feb 2008) | 1 line

include config.hpp and workaround.hpp before uses of BOOST_WORKAROUND and BOOST_MSVC

................

r43221 | chris_kohlhoff | 2008-02-11 13:59:44 +0000 (Mon, 11 Feb 2008) | 2 lines

Need to define _XOPEN_SOURCE_EXTENDED when compiling for HP-UX.

................

r43226 | djenkins | 2008-02-11 20:49:19 +0000 (Mon, 11 Feb 2008) | 1 line

cleanup using local<> and skip()

................

r43239 | turkanis | 2008-02-13 05:43:39 +0000 (Wed, 13 Feb 2008) | 1 line

fixed return value of read(), to correctly handle eof

................

r43240 | turkanis | 2008-02-13 05:47:44 +0000 (Wed, 13 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43059-43238: better debug output for mapped file; fixed large_file_test.cpp under UNICODE on Windows

................

r43241 | turkanis | 2008-02-13 19:38:52 +0000 (Wed, 13 Feb 2008) | 1 line

added markup for stdcxx failures (iostreams)

................

r43243 | turkanis | 2008-02-13 19:42:10 +0000 (Wed, 13 Feb 2008) | 1 line

switched from <wchar.h> to <cwchar>, for stdcxx (which is conforming in this case)

................

r43246 | matias | 2008-02-14 17:33:12 +0000 (Thu, 14 Feb 2008) | 1 line

remove local admonitions

................

r43247 | matias | 2008-02-14 17:43:52 +0000 (Thu, 14 Feb 2008) | 1 line

optional docs fixes

................

r43248 | matias | 2008-02-14 17:44:21 +0000 (Thu, 14 Feb 2008) | 1 line

redirect optional docs to new version

................

r43251 | matias | 2008-02-14 18:08:16 +0000 (Thu, 14 Feb 2008) | 1 line

conversion docs fixes

................

r43252 | matias | 2008-02-14 18:09:34 +0000 (Thu, 14 Feb 2008) | 1 line

redirect to new conversion docs

................

r43253 | matias | 2008-02-14 18:19:34 +0000 (Thu, 14 Feb 2008) | 1 line

redirect optional and numeric/conversion docs to new version

................

r43254 | matias | 2008-02-14 19:03:55 +0000 (Thu, 14 Feb 2008) | 1 line

bimap doc fixes

................

r43255 | matias | 2008-02-14 19:05:04 +0000 (Thu, 14 Feb 2008) | 1 line

fix tabs in files

................

r43256 | matias | 2008-02-14 19:22:15 +0000 (Thu, 14 Feb 2008) | 1 line

fix tabs in files

................

r43260 | matias | 2008-02-14 21:24:11 +0000 (Thu, 14 Feb 2008) | 1 line

add missing images

................

r43262 | hkaiser | 2008-02-14 22:01:54 +0000 (Thu, 14 Feb 2008) | 1 line

Fixed a whitespace insertion glitch, where whitespace got inserted unconditionally between two operators even if one of these was a comma.

................

r43264 | hkaiser | 2008-02-14 23:52:33 +0000 (Thu, 14 Feb 2008) | 1 line

Wave: More fixes to whitespace insertion engine.

................

r43266 | hkaiser | 2008-02-15 14:35:36 +0000 (Fri, 15 Feb 2008) | 1 line

Wave: More fixes to whitespace insertion engine.

................

r43269 | pdimov | 2008-02-15 18:40:36 +0000 (Fri, 15 Feb 2008) | 1 line

Added support for &&,

................

r43272 | andreas_huber69 | 2008-02-16 10:13:08 +0000 (Sat, 16 Feb 2008) | 1 line

Updated statechart markup

................

r43274 | andreas_huber69 | 2008-02-16 10:19:49 +0000 (Sat, 16 Feb 2008) | 2 lines

Silenced GCC 4.0.1 warning (patch supplied by Euan) < http://thread.gmane.org/gmane.comp.lib.boost.devel/171071>

................

r43280 | jurko | 2008-02-16 16:50:42 +0000 (Sat, 16 Feb 2008) | 1 line

Corrected comments related to the allowed linker & linker-type values. Minor stylistic changes.

................

r43281 | jurko | 2008-02-16 16:53:33 +0000 (Sat, 16 Feb 2008) | 1 line

Added support for compiling C++ programs without RTTI support using the gcc toolset.

................

r43282 | jurko | 2008-02-16 17:03:54 +0000 (Sat, 16 Feb 2008) | 1 line

Made the msvc toolset always explicitly enable or disable rtti support based on the <rtti> feature value instead of only setting it if <rtti>on and depending on it being disabled by default. The original behaviour did not work well with msvc 8.0 for which there was not way to disable rtti support as that compiler enables rtti support by default.

................

r43283 | bemandawes | 2008-02-17 02:01:32 +0000 (Sun, 17 Feb 2008) | 1 line

Show output of example program

................

r43290 | hkaiser | 2008-02-17 16:45:08 +0000 (Sun, 17 Feb 2008) | 1 line

Wave: Extended a workaround to newest Intel compiler version (Linux V10.1)

................

r43292 | nesotto | 2008-02-17 16:49:38 +0000 (Sun, 17 Feb 2008) | 1 line

support for comparinson operators

................

r43293 | nesotto | 2008-02-17 16:50:02 +0000 (Sun, 17 Feb 2008) | 1 line

support for comparison operators

................

r43294 | hkaiser | 2008-02-17 17:00:20 +0000 (Sun, 17 Feb 2008) | 1 line

Wave: Fixed test cases to reflect recent changes to whitespace insertion.

................

r43296 | eric_niebler | 2008-02-17 20:53:18 +0000 (Sun, 17 Feb 2008) | 1 line

proto documentation improvements

................

r43299 | turkanis | 2008-02-18 05:48:13 +0000 (Mon, 18 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43243-43298: overhaul of category_of and close(): stringstream is now dual_seekable; standard file streams and string streams are closable; public Boost.Iostreams streams and streambufs are closable; close() pops filtering streams and streambufs

................

r43300 | eric_niebler | 2008-02-18 06:16:27 +0000 (Mon, 18 Feb 2008) | 1 line

remove dependence on boost.lambda, make numeric function objects work with std binders

................

r43301 | chris_kohlhoff | 2008-02-18 13:31:26 +0000 (Mon, 18 Feb 2008) | 2 lines

Fix printing of error messages.

................

r43302 | chris_kohlhoff | 2008-02-18 13:33:23 +0000 (Mon, 18 Feb 2008) | 2 lines

Only define _XOPEN_SOURCE_EXTENDED when building with gcc on HP-UX.

................

r43303 | chris_kohlhoff | 2008-02-18 13:35:15 +0000 (Mon, 18 Feb 2008) | 3 lines

Add missing #include of socket_types.hpp needed for the SSL unit tests to compile successfully on Windows.

................

r43306 | eric_niebler | 2008-02-18 18:29:29 +0000 (Mon, 18 Feb 2008) | 1 line

remove post_construct docs, fix link to boost.parameter library

................

r43308 | niels_dekker | 2008-02-18 22:11:19 +0000 (Mon, 18 Feb 2008) | 1 line

Fixed the assignment of value_initialized<T> for T being a C-style array. (The previous version would trigger a compile error in this case.)

................

r43309 | niels_dekker | 2008-02-18 22:13:21 +0000 (Mon, 18 Feb 2008) | 1 line

Tested the assignment of value_initialized<T>, for T being a C-style array. Related to the fix of changeset [43308]

................

r43310 | eric_niebler | 2008-02-18 23:03:23 +0000 (Mon, 18 Feb 2008) | 1 line

some doxygen comments for proto/traits.hpp

................

r43311 | eric_niebler | 2008-02-19 05:56:52 +0000 (Tue, 19 Feb 2008) | 1 line

more proto documentation tweaks, remove unnecessary result_of::arg_c instantiation

................

r43312 | eric_niebler | 2008-02-19 07:14:37 +0000 (Tue, 19 Feb 2008) | 1 line

fix droppable accumulators

................

r43314 | eric_niebler | 2008-02-19 07:33:30 +0000 (Tue, 19 Feb 2008) | 1 line

darn, back out bad droppable changes

................

r43316 | pdimov | 2008-02-19 13:18:58 +0000 (Tue, 19 Feb 2008) | 1 line

Fixes #1590.

................

r43317 | pdimov | 2008-02-19 14:01:13 +0000 (Tue, 19 Feb 2008) | 1 line

Fixes #1444.

................

r43318 | pdimov | 2008-02-19 14:26:36 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #398, as long as the macros BOOST_NO_STD_TYPEINFO and BOOST_NO_IOSTREAM are defined. I don't know how Boost.Config needs to be changed to autodetect eVC4 and set these on its own.

................

r43319 | pdimov | 2008-02-19 14:51:10 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1641.

................

r43320 | pdimov | 2008-02-19 14:59:28 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1646.

................

r43321 | pdimov | 2008-02-19 15:09:10 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1642.

................

r43322 | nesotto | 2008-02-19 15:10:05 +0000 (Tue, 19 Feb 2008) | 1 line

fixed problem with operator()() when the value_type was abstract.

................

r43323 | pdimov | 2008-02-19 15:40:58 +0000 (Tue, 19 Feb 2008) | 1 line

Fix #1643.

................

r43325 | turkanis | 2008-02-19 19:34:07 +0000 (Tue, 19 Feb 2008) | 1 line

stringstreams are no longer closable; the semantics of close() for these devices was illconsidered

................

r43328 | turkanis | 2008-02-20 00:09:06 +0000 (Wed, 20 Feb 2008) | 1 line

menu fix from iostreams_dev

................

r43329 | turkanis | 2008-02-20 03:20:17 +0000 (Wed, 20 Feb 2008) | 1 line

markup for pgi-7.0 (iostreams)

................

r43330 | bemandawes | 2008-02-20 13:46:49 +0000 (Wed, 20 Feb 2008) | 1 line

Add .z7 archive generation

................

r43332 | grafik | 2008-02-20 17:32:09 +0000 (Wed, 20 Feb 2008) | 1 line

New readme page for now standalone release.

................

r43334 | grafik | 2008-02-20 19:15:16 +0000 (Wed, 20 Feb 2008) | 1 line

Fix link to getting started docs.

................

r43335 | grafik | 2008-02-20 22:50:03 +0000 (Wed, 20 Feb 2008) | 1 line

Add the <python.interpreter> to all requirements to allow other toolsets to use the currently configured python instead of relying on python being in the path.

................

r43336 | grafik | 2008-02-20 23:01:43 +0000 (Wed, 20 Feb 2008) | 1 line

Use the configured python interpreter instead of assuming it's in the path.

................

r43337 | grafik | 2008-02-20 23:03:28 +0000 (Wed, 20 Feb 2008) | 1 line

Add missing, and assumed, white background for screen rendering.

................

r43338 | grafik | 2008-02-20 23:26:58 +0000 (Wed, 20 Feb 2008) | 1 line

Doc cleanups.

................

r43344 | eric_niebler | 2008-02-21 07:18:24 +0000 (Thu, 21 Feb 2008) | 1 line

More Proto documentation

................

r43346 | johnmaddock | 2008-02-21 10:37:59 +0000 (Thu, 21 Feb 2008) | 3 lines

Fix typo in example. Added links to PDF versions of the docs. Regenerated all the docs to fix people links.

................

r43347 | johnmaddock | 2008-02-21 11:53:59 +0000 (Thu, 21 Feb 2008) | 1 line

Update main overview page.

................

r43349 | bemandawes | 2008-02-21 12:46:11 +0000 (Thu, 21 Feb 2008) | 1 line

Fix typo; .z7 should be .7z

................

r43351 | johnmaddock | 2008-02-21 12:58:15 +0000 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs, and regenerated.

................

r43354 | johnmaddock | 2008-02-21 13:51:18 +0000 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs, and regenerated.

................

r43357 | johnmaddock | 2008-02-21 16:49:59 +0000 (Thu, 21 Feb 2008) | 1 line

Added link to PDF docs.

................

r43359 | johnmaddock | 2008-02-21 17:01:26 +0000 (Thu, 21 Feb 2008) | 1 line

Regenerated docs to fix links.

................

r43361 | bemandawes | 2008-02-21 20:11:32 +0000 (Thu, 21 Feb 2008) | 1 line

Fix still another typo

................

r43362 | eric_niebler | 2008-02-21 20:12:02 +0000 (Thu, 21 Feb 2008) | 1 line

doxygen comments for proto::when<>

................

r43363 | eric_niebler | 2008-02-22 00:42:12 +0000 (Fri, 22 Feb 2008) | 1 line

fix crash when actions are in keep() expressions

................

r43364 | eric_niebler | 2008-02-22 02:01:46 +0000 (Fri, 22 Feb 2008) | 1 line

doxygen comments

................

r43365 | grafik | 2008-02-22 05:26:39 +0000 (Fri, 22 Feb 2008) | 1 line

Rename readme.html to index.html, and add forwarding index.htm for backward compatibility.

................

r43368 | danieljames | 2008-02-22 09:21:22 +0000 (Fri, 22 Feb 2008) | 2 lines

Update the index.html link in the navbar.

................

r43371 | grafik | 2008-02-22 16:25:21 +0000 (Fri, 22 Feb 2008) | 1 line

Remove obsolete getting started files. They where replaced by more/getting_started/*.

................

r43377 | chris_kohlhoff | 2008-02-22 22:43:54 +0000 (Fri, 22 Feb 2008) | 2 lines

Use the correct vector of timer queues when dispatching timers.

................

r43390 | turkanis | 2008-02-23 00:05:49 +0000 (Sat, 23 Feb 2008) | 2 lines

Ported change from iostreams_dev

................

r43391 | turkanis | 2008-02-23 00:06:24 +0000 (Sat, 23 Feb 2008) | 2 lines

Ported changes from iostreams_dev

................

r43392 | turkanis | 2008-02-23 00:07:13 +0000 (Sat, 23 Feb 2008) | 1 line

merged changes from iostreams_dev, revisions 43327-43389

................

r43393 | turkanis | 2008-02-23 00:11:07 +0000 (Sat, 23 Feb 2008) | 1 line

merged changes from iostreams_dev

................

r43395 | turkanis | 2008-02-23 06:07:59 +0000 (Sat, 23 Feb 2008) | 1 line

updated to test close() on filtering streambufs

................

r43399 | turkanis | 2008-02-23 07:44:58 +0000 (Sat, 23 Feb 2008) | 1 line

merged changes from iostreams_dev

................

r43402 | bemandawes | 2008-02-23 14:04:02 +0000 (Sat, 23 Feb 2008) | 1 line

Give the 1st and 2nd level index.html files a common look-and-feel.

................

r43405 | vladimir_prus | 2008-02-24 12:59:04 +0000 (Sun, 24 Feb 2008) | 3 lines

Recognize that fact, for that for intel-win, <runtime-debuggin> matters and should be added to the library name.

................

r43409 | bemandawes | 2008-02-25 00:53:26 +0000 (Mon, 25 Feb 2008) | 1 line

Fix html boo boo

................

r43410 | schoepflin | 2008-02-25 08:37:10 +0000 (Mon, 25 Feb 2008) | 1 line

Added missing template keyword.

................

r43411 | t_schwinger | 2008-02-25 11:45:51 +0000 (Mon, 25 Feb 2008) | 3 lines

removes unnecessary escaping

................

r43412 | t_schwinger | 2008-02-25 11:47:59 +0000 (Mon, 25 Feb 2008) | 3 lines

removes unnecessary comment

................

r43416 | hkaiser | 2008-02-26 19:25:05 +0000 (Tue, 26 Feb 2008) | 1 line

Wave: Fixed expanding_function_like_macro preprocessing hook.

................

r43417 | danieljames | 2008-02-26 22:04:55 +0000 (Tue, 26 Feb 2008) | 2 lines

Fix a link to Boost.Bimap.

................

r43418 | danieljames | 2008-02-26 22:07:25 +0000 (Tue, 26 Feb 2008) | 2 lines

Change another link that's no longer in the repository to link to the website.

................

r43419 | hkaiser | 2008-02-26 22:36:36 +0000 (Tue, 26 Feb 2008) | 1 line

Fixed a compilation problem on pathscale

................

r43421 | eric_niebler | 2008-02-27 18:48:22 +0000 (Wed, 27 Feb 2008) | 1 line

partially revert breaking change to independent sub-expressions until I can make a proper fix

................

r43422 | danieljames | 2008-02-27 18:51:14 +0000 (Wed, 27 Feb 2008) | 1 line

Fix broken copyright urls. Fixes #1573.

................

r43423 | danieljames | 2008-02-27 19:22:01 +0000 (Wed, 27 Feb 2008) | 1 line

Fix incorrect links to copyright of the form 'http:#www.boost.org

................

r43424 | eric_niebler | 2008-02-27 19:39:43 +0000 (Wed, 27 Feb 2008) | 1 line

fix bug in use_simple_repeat calculation

................

r43428 | eric_niebler | 2008-02-28 00:03:15 +0000 (Thu, 28 Feb 2008) | 1 line

add test case for use_simple_repeat fix

................

r43433 | eric_niebler | 2008-02-28 22:47:12 +0000 (Thu, 28 Feb 2008) | 1 line

fix oops

................

r43434 | johnmaddock | 2008-02-29 09:49:42 +0000 (Fri, 29 Feb 2008) | 1 line

Apply fixes to issue #1658 which fixes some broken URL's.

................

r43435 | johnmaddock | 2008-02-29 09:58:30 +0000 (Fri, 29 Feb 2008) | 1 line

Fix broken link as per report #1658.

................

r43437 | chris_kohlhoff | 2008-02-29 12:57:57 +0000 (Fri, 29 Feb 2008) | 2 lines

Add missing tie().

................

r43438 | schoepflin | 2008-02-29 15:13:41 +0000 (Fri, 29 Feb 2008) | 2 lines

Added expected failure markup for the test weighted_tail_variate_means on Tru64/CXX.

................

r43441 | eric_niebler | 2008-03-01 19:32:56 +0000 (Sat, 01 Mar 2008) | 1 line

add map_assign example

................

r43458 | turkanis | 2008-03-03 06:20:14 +0000 (Mon, 03 Mar 2008) | 1 line

merged changes from iostreams_dev, revisions 43399-43457

................

r43461 | anthonyw | 2008-03-03 08:44:42 +0000 (Mon, 03 Mar 2008) | 1 line

Test and fix for issue #1665

................

r43464 | anthonyw | 2008-03-03 10:52:44 +0000 (Mon, 03 Mar 2008) | 1 line

thread constructor now accepts up to three additional arguments to pass to thread function

................

r43467 | danieljames | 2008-03-03 12:10:35 +0000 (Mon, 03 Mar 2008) | 2 lines

Tell subversion that date_time.doc is a text file, not a word document.

................

r43468 | danieljames | 2008-03-03 12:11:25 +0000 (Mon, 03 Mar 2008) | 1 line

Fix license link in date_time.doc

................

r43469 | chris_kohlhoff | 2008-03-03 13:21:05 +0000 (Mon, 03 Mar 2008) | 4 lines

Disable use of CancelIo? by default, due to the possibility of silent failure on some system configurations. Swallow error returned by CancelIoEx? if there are no operations to be cancelled.

................

r43470 | chris_kohlhoff | 2008-03-03 13:27:06 +0000 (Mon, 03 Mar 2008) | 2 lines

Add missing 'boost_' prefix to helper namespace.

................

r43471 | chris_kohlhoff | 2008-03-03 13:36:35 +0000 (Mon, 03 Mar 2008) | 2 lines

Regenerate documentation.

................

r43472 | chris_kohlhoff | 2008-03-03 14:05:35 +0000 (Mon, 03 Mar 2008) | 1 line

Update copyright notices.

................

r43473 | chris_kohlhoff | 2008-03-03 14:13:01 +0000 (Mon, 03 Mar 2008) | 2 lines

Update copyright notices.

................

r43476 | eric_niebler | 2008-03-03 19:44:54 +0000 (Mon, 03 Mar 2008) | 1 line

add Map Assign example to documentation

................

r43478 | eric_niebler | 2008-03-03 19:47:47 +0000 (Mon, 03 Mar 2008) | 1 line

second attempt at fixing actions in independent expressions

................

r43484 | eric_niebler | 2008-03-03 23:48:17 +0000 (Mon, 03 Mar 2008) | 1 line

handle static regexes with actions nested in dynamic independent subexpressions

................

r43485 | emildotchevski | 2008-03-04 01:41:17 +0000 (Tue, 04 Mar 2008) | 1 line

boost exception

................

r43496 | eric_niebler | 2008-03-04 18:51:07 +0000 (Tue, 04 Mar 2008) | 1 line

rename numeric::empty to numeric::default_, fixes #1650

................

r43501 | eric_niebler | 2008-03-04 19:31:57 +0000 (Tue, 04 Mar 2008) | 1 line

eliminate msvc level 4 warnings, fixes #1631

................

r43502 | eric_niebler | 2008-03-04 19:42:36 +0000 (Tue, 04 Mar 2008) | 1 line

add Dave Jenkin's evil static/dynamic actions in keep test case

................

r43503 | eric_niebler | 2008-03-04 21:09:47 +0000 (Tue, 04 Mar 2008) | 1 line

work around msvc bug 331418, fixes #1652

................

r43506 | eric_niebler | 2008-03-04 23:01:17 +0000 (Tue, 04 Mar 2008) | 1 line

fix bad interaction between boyer-moore optimization and partial match feature, fixes #1564

................

r43508 | eric_niebler | 2008-03-05 06:32:39 +0000 (Wed, 05 Mar 2008) | 1 line

add BOOST_REVERSE_FOREACH, fixes #1071

................

r43509 | eric_niebler | 2008-03-05 07:12:03 +0000 (Wed, 05 Mar 2008) | 1 line

fix bug iterating over abstract base

................

r43523 | eric_niebler | 2008-03-06 01:56:57 +0000 (Thu, 06 Mar 2008) | 1 line

fix documentation about droppable, replace accumulator_set_wrapper example with bind() and ref()

................

r43524 | hkaiser | 2008-03-06 03:28:47 +0000 (Thu, 06 Mar 2008) | 1 line

Wave: Fixed #1673.

................

r43525 | emildotchevski | 2008-03-06 05:08:22 +0000 (Thu, 06 Mar 2008) | 1 line

hooking up boost exception for testing

................

r43526 | vladimir_prus | 2008-03-06 06:06:17 +0000 (Thu, 06 Mar 2008) | 6 lines

Add 'pythonpath' feature to specify additional PYTHONPATH elements. Make bpl-test correctly set dependencies if used with multiple .pyd sources.

Patch from Joshua Napoli.

................

r43527 | vladimir_prus | 2008-03-06 06:57:27 +0000 (Thu, 06 Mar 2008) | 6 lines

Arrange for HPP source to be scanned for #includes, too. This fixes PCH not being rebuild when some other headers included from HPP being compiled change.

Thanks to Pierre-Luc Neron for the bug report.

................

r43528 | anthonyw | 2008-03-06 07:59:16 +0000 (Thu, 06 Mar 2008) | 1 line

made the callable_no_args function object a named object rather than a temporary, in order to avoid gratuitous breakage on some compilers

................

r43530 | eric_niebler | 2008-03-06 17:56:42 +0000 (Thu, 06 Mar 2008) | 1 line

work around msvc-7.1 bug

................

r43531 | eric_niebler | 2008-03-06 18:07:22 +0000 (Thu, 06 Mar 2008) | 1 line

fix warnings

................

r43534 | eric_niebler | 2008-03-07 07:37:46 +0000 (Fri, 07 Mar 2008) | 1 line

fix oops

................

r43535 | hkaiser | 2008-03-07 13:26:53 +0000 (Fri, 07 Mar 2008) | 1 line

Wave: more fixes for #1673

................

r43537 | vladimir_prus | 2008-03-07 16:18:13 +0000 (Fri, 07 Mar 2008) | 1 line

Fix PCH on OSX

................

r43538 | eric_niebler | 2008-03-07 17:46:38 +0000 (Fri, 07 Mar 2008) | 1 line

use a pragma to disable a msvc warning, fixes #1672

................

r43539 | eric_niebler | 2008-03-07 17:47:40 +0000 (Fri, 07 Mar 2008) | 1 line

fix oops

................

r43540 | hkaiser | 2008-03-07 19:51:26 +0000 (Fri, 07 Mar 2008) | 1 line

Wave: Started to add testing of preprocessor hooks.

................

r43541 | grafik | 2008-03-07 21:59:06 +0000 (Fri, 07 Mar 2008) | 1 line

Disable exception testing line as it's breaking testing.

................

r43542 | hkaiser | 2008-03-07 22:53:13 +0000 (Fri, 07 Mar 2008) | 1 line

Wave: Applied a workaround for Intel compilers and for Pathscale.

................

r43544 | emildotchevski | 2008-03-07 23:07:13 +0000 (Fri, 07 Mar 2008) | 1 line

Hooking up boost exception for testing, second attempt.

................

r43546 | rwgk | 2008-03-09 04:30:13 +0000 (Sun, 09 Mar 2008) | 1 line

map std::invalid_argument -> Python ValueError?

................

r43555 | emildotchevski | 2008-03-10 20:18:19 +0000 (Mon, 10 Mar 2008) | 5 lines

fix for:

boost/exception/enable_exception_cloning.hpp uses std::bad_alloc without #include'ing <new>. Because of this, some exception library tests fail to compile on HP-UX.

................

r43565 | hljin | 2008-03-11 17:28:42 +0000 (Tue, 11 Mar 2008) | 1 line

Fixed two minor compiler errors showing up under in the new GCC 4.3.0

................

r43566 | noel_belcourt | 2008-03-11 17:57:54 +0000 (Tue, 11 Mar 2008) | 6 lines

A user-config.jam that defined multiple python toolsets exposed an error in the python.jam init rule. Moved the feature definition out of the init rule to avoid the feature redefinition error.

................

r43569 | chris_kohlhoff | 2008-03-12 13:25:49 +0000 (Wed, 12 Mar 2008) | 4 lines

Revert to having the windows-bug workaround (short timeout on GetQueuedCompletionStatus?) on all threads as there are still scenarios where threads can get stuck indefinitely.

................

r43570 | chris_kohlhoff | 2008-03-12 13:26:41 +0000 (Wed, 12 Mar 2008) | 3 lines

Use unions to fix a sockaddr_storage aliasing problem that shows up with g++ 4.3.0.

................

r43572 | djenkins | 2008-03-12 14:46:24 +0000 (Wed, 12 Mar 2008) | 1 line

Added test for keep() of nested regex with action

................

r43573 | djenkins | 2008-03-12 14:48:32 +0000 (Wed, 12 Mar 2008) | 1 line

Fix keep() of nested regex with action

................

r43586 | chris_kohlhoff | 2008-03-13 06:59:02 +0000 (Thu, 13 Mar 2008) | 2 lines

Fix incorrect use of sin_port with a sockaddr_in6 structure.

................

r43590 | johnmaddock | 2008-03-13 13:16:19 +0000 (Thu, 13 Mar 2008) | 2 lines

Updated equations so that they are all 120dpi images. Also tweaked a few for better readability.

................

r43592 | eric_niebler | 2008-03-13 17:22:59 +0000 (Thu, 13 Mar 2008) | 1 line

work around msvc bug

................

r43593 | eric_niebler | 2008-03-13 17:46:09 +0000 (Thu, 13 Mar 2008) | 1 line

add lambda example, fix doc errors and typos

................

r43595 | bemandawes | 2008-03-13 20:10:08 +0000 (Thu, 13 Mar 2008) | 1 line

Bring back more/more.htm, supply links for pages moved to website

................

r43600 | bemandawes | 2008-03-14 12:10:23 +0000 (Fri, 14 Mar 2008) | 1 line

Add forwarding file, thus resolving many broken links

................

r43601 | bemandawes | 2008-03-14 12:17:18 +0000 (Fri, 14 Mar 2008) | 1 line

Add forwarding file, thus resolving many broken links

................

r43605 | t_schwinger | 2008-03-14 17:59:22 +0000 (Fri, 14 Mar 2008) | 3 lines

attempts to finally make Sun work

................

r43606 | t_schwinger | 2008-03-14 18:29:26 +0000 (Fri, 14 Mar 2008) | 3 lines

resolves #1100 and #1602

................

r43607 | johnmaddock | 2008-03-14 18:32:45 +0000 (Fri, 14 Mar 2008) | 1 line

Fixed Inspection report issues.

................

r43608 | t_schwinger | 2008-03-14 18:36:46 +0000 (Fri, 14 Mar 2008) | 3 lines

adds acknowledgement for Noel helping to support Sun compilers

................

r43619 | bemandawes | 2008-03-15 12:46:02 +0000 (Sat, 15 Mar 2008) | 1 line

Fix broken link, add count of new libraries.

................

r43621 | danieljames | 2008-03-15 12:59:21 +0000 (Sat, 15 Mar 2008) | 1 line

Update type traits links for new location.

................

r43622 | danieljames | 2008-03-15 13:04:57 +0000 (Sat, 15 Mar 2008) | 1 line

Regenerate the type traits docs, to get changes from [43621]. Refs #1686.

................

r43625 | johnmaddock | 2008-03-15 13:52:49 +0000 (Sat, 15 Mar 2008) | 1 line

Fix a pair of broken links and regenerate the docs.

................

r43632 | johnmaddock | 2008-03-15 18:19:11 +0000 (Sat, 15 Mar 2008) | 1 line

Added missing files.

................

r43633 | johnmaddock | 2008-03-15 18:41:51 +0000 (Sat, 15 Mar 2008) | 1 line

Fix some inspection report issues.

................

r43640 | chris_kohlhoff | 2008-03-15 22:37:58 +0000 (Sat, 15 Mar 2008) | 2 lines

Merge asio doc fixes from release branch.

................

r43641 | eric_niebler | 2008-03-15 23:43:21 +0000 (Sat, 15 Mar 2008) | 1 line

range-based regex_replace, address LWG issues #726 and #727, misc. feedback about proto and docs

................

r43642 | hljin | 2008-03-15 23:44:54 +0000 (Sat, 15 Mar 2008) | 1 line

Add copyright notice and Boost license

................

r43643 | hljin | 2008-03-15 23:45:25 +0000 (Sat, 15 Mar 2008) | 1 line

Added copyright notice and Boost license

................

r43644 | hljin | 2008-03-15 23:50:04 +0000 (Sat, 15 Mar 2008) | 1 line

Added copyright notice and Boost license

................

r43645 | hljin | 2008-03-15 23:53:32 +0000 (Sat, 15 Mar 2008) | 1 line

Added copyright notice and Boost license

................

r43646 | hkaiser | 2008-03-16 01:39:59 +0000 (Sun, 16 Mar 2008) | 1 line

Wave: Fixed whitespace insertion error, fixed test cases.

................

r43647 | eric_niebler | 2008-03-16 06:49:13 +0000 (Sun, 16 Mar 2008) | 1 line

regex_replace supports formatter functions and function objects

................

r43660 | eric_niebler | 2008-03-16 22:37:06 +0000 (Sun, 16 Mar 2008) | 1 line

allow lambdas to be used as formatters

................

r43661 | eric_niebler | 2008-03-16 23:06:26 +0000 (Sun, 16 Mar 2008) | 1 line

more tests for new regex_replace functionality

................

r43662 | igaztanaga | 2008-03-16 23:55:49 +0000 (Sun, 16 Mar 2008) | 1 line

Fixed ticket #1683

................

r43663 | eric_niebler | 2008-03-17 00:35:04 +0000 (Mon, 17 Mar 2008) | 1 line

document new format flags, and range-based interface for regex_match and regex_search

................

r43666 | anthonyw | 2008-03-17 08:36:09 +0000 (Mon, 17 Mar 2008) | 1 line

Test and fix for bug #1693 to ensure thread_specific_ptr works as desired

................

r43671 | anthonyw | 2008-03-17 10:29:27 +0000 (Mon, 17 Mar 2008) | 1 line

New documentation for new thread library

................

r43676 | bemandawes | 2008-03-17 16:53:58 +0000 (Mon, 17 Mar 2008) | 1 line

Add function_types

................

r43679 | dgregor | 2008-03-17 17:31:21 +0000 (Mon, 17 Mar 2008) | 1 line

Fix typo

................

r43680 | dgregor | 2008-03-17 17:34:46 +0000 (Mon, 17 Mar 2008) | 1 line

Fix some documentation issues. Fixes #1655, fixes #1660

................

r43685 | eric_niebler | 2008-03-17 21:46:08 +0000 (Mon, 17 Mar 2008) | 1 line

small interface simplification, doc comment improvements

................

r43686 | jano_gaspar | 2008-03-17 22:27:15 +0000 (Mon, 17 Mar 2008) | 1 line

circular_buffer: bugfix #1692

................

r43687 | hljin | 2008-03-17 22:28:58 +0000 (Mon, 17 Mar 2008) | 1 line

Added two scripts

................

r43690 | ramey | 2008-03-18 04:58:51 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43691 | ramey | 2008-03-18 05:01:57 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43692 | ramey | 2008-03-18 05:47:10 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43693 | ramey | 2008-03-18 05:52:10 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43694 | ramey | 2008-03-18 05:53:07 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43695 | eric_niebler | 2008-03-18 06:18:33 +0000 (Tue, 18 Mar 2008) | 1 line

work around gcc-4.0.1 bug with const-qualified function references

................

r43696 | eric_niebler | 2008-03-18 06:44:45 +0000 (Tue, 18 Mar 2008) | 1 line

better, restrict fix to gcc-4.0

................

r43701 | ramey | 2008-03-18 15:51:13 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43702 | ramey | 2008-03-18 15:51:42 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43704 | ramey | 2008-03-18 16:31:36 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43705 | ramey | 2008-03-18 16:32:22 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43706 | ramey | 2008-03-18 16:32:48 +0000 (Tue, 18 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43709 | bemandawes | 2008-03-18 19:35:18 +0000 (Tue, 18 Mar 2008) | 1 line

Fix inspect boo boos; mostly broken links

................

r43714 | grafik | 2008-03-19 01:01:19 +0000 (Wed, 19 Mar 2008) | 1 line

Disable serialization tests until Robert fixes the testing breakage.

................

r43715 | bemandawes | 2008-03-19 01:42:03 +0000 (Wed, 19 Mar 2008) | 1 line

Fix broken links

................

r43717 | ramey | 2008-03-19 05:17:02 +0000 (Wed, 19 Mar 2008) | 3 lines

Support serialization in DLLS Make thread-safe fix portable binary archives

................

r43718 | eric_niebler | 2008-03-19 05:18:50 +0000 (Wed, 19 Mar 2008) | 1 line

correct minor doc inaccuracies

................

r43719 | jano_gaspar | 2008-03-19 09:24:24 +0000 (Wed, 19 Mar 2008) | 1 line

circular_buffer: improved documentation

................

r43721 | vladimir_prus | 2008-03-19 10:51:45 +0000 (Wed, 19 Mar 2008) | 5 lines

Fix #1698 ( http://svn.boost.org/trac/boost/ticket/1698).

  • build/virtual-target.jam (register): Ignore differences in incidental dependency features.

................

r43722 | vladimir_prus | 2008-03-19 11:09:29 +0000 (Wed, 19 Mar 2008) | 3 lines

Remove usage-requirements as they are not necessary, and can cause bogus dependencies for serialization's client.

................

r43723 | bemandawes | 2008-03-19 12:33:41 +0000 (Wed, 19 Mar 2008) | 1 line

Fix ordering of libraries within categories. [Vicente Juan Botet]

................

r43726 | grafik | 2008-03-19 16:27:43 +0000 (Wed, 19 Mar 2008) | 1 line

Re-enable serialization tests, now that they should be fixed.

................

r43730 | anthonyw | 2008-03-19 17:25:13 +0000 (Wed, 19 Mar 2008) | 1 line

Removed some warnings: those from issue #1640 and others

................

r43731 | danieljames | 2008-03-19 18:22:58 +0000 (Wed, 19 Mar 2008) | 1 line

Thread is now using quickbook so we have to add a dependency to get it to build, and add it to the path, as it needs to be picked up from the build location.

................

r43732 | danieljames | 2008-03-19 18:27:34 +0000 (Wed, 19 Mar 2008) | 1 line

Remove 'using quickbook' from my documentation jamfiles. It is no longer necessary, and might be harmful.

................

r43733 | pdimov | 2008-03-19 19:39:50 +0000 (Wed, 19 Mar 2008) | 1 line

Regression test for enable_shared_from_this.

................

r43735 | lbourdev | 2008-03-20 04:27:41 +0000 (Thu, 20 Mar 2008) | 3 lines

GIL: Changed a private type name to differ from #define used on some Linux systems.

................

r43738 | fmhess | 2008-03-20 19:32:43 +0000 (Thu, 20 Mar 2008) | 4 lines

Added support for calling enable_shared_from_this::shared_from_this in constructors. Closes #1696.

................

r43739 | pdimov | 2008-03-20 22:10:52 +0000 (Thu, 20 Mar 2008) | 1 line

Initialize _owned in the copy constructor as well.

................

r43741 | lbourdev | 2008-03-21 09:40:59 +0000 (Fri, 21 Mar 2008) | 3 lines

GIL: Fixed a bug in planar device_n view construction.

................

r43742 | lbourdev | 2008-03-21 09:43:19 +0000 (Fri, 21 Mar 2008) | 3 lines

GIL: Replaced tabs with spaces.

................

r43747 | ramey | 2008-03-21 16:37:24 +0000 (Fri, 21 Mar 2008) | 1 line

Added consideration for compac Tru64

................

r43748 | ramey | 2008-03-21 16:40:06 +0000 (Fri, 21 Mar 2008) | 1 line

added include <ostream> for friend operators

................

r43750 | danieljames | 2008-03-21 16:52:40 +0000 (Fri, 21 Mar 2008) | 1 line

Check links in single quotes as well as double quotes.

................

r43752 | danieljames | 2008-03-21 16:56:35 +0000 (Fri, 21 Mar 2008) | 1 line

Decode percent coded characters and '&amp;' when inspecting urls.

................

r43758 | ramey | 2008-03-21 17:19:07 +0000 (Fri, 21 Mar 2008) | 1 line

Adjustment to inhibit compile error with intel compilers

................

r43766 | fmhess | 2008-03-21 19:19:25 +0000 (Fri, 21 Mar 2008) | 4 lines

Worked around compilation error in boost::get_deleter when using old versions of g++.

................

r43781 | noel_belcourt | 2008-03-21 21:04:36 +0000 (Fri, 21 Mar 2008) | 3 lines

pgi-7.1 has testable version macros, yeah!

................

r43782 | fmhess | 2008-03-21 21:12:21 +0000 (Fri, 21 Mar 2008) | 3 lines

Fixed bogus test failure caused by new enable_shared_from_this features.

................

r43795 | ramey | 2008-03-22 18:59:07 +0000 (Sat, 22 Mar 2008) | 4 lines

streamlined Jamfile.v2 eliminated build of binary_w* removed usage-requirement dropped serialization.jam as its no longer used

................

r43799 | grafik | 2008-03-22 22:53:35 +0000 (Sat, 22 Mar 2008) | 1 line

Remove svn exec property from files that should not be executable to fix permission problems in archives.

................

r43803 | danieljames | 2008-03-23 13:03:24 +0000 (Sun, 23 Mar 2008) | 1 line

Fix another license link I seem to have missed.

................

r43804 | fmhess | 2008-03-23 14:51:40 +0000 (Sun, 23 Mar 2008) | 3 lines

Added a little more test code for new enable_shared_from_this behavior.

................

r43806 | ramey | 2008-03-23 18:36:00 +0000 (Sun, 23 Mar 2008) | 1 line

adjusted header order for export.hpp to see if this will make gcc 4.x tests pass.

................

r43807 | ramey | 2008-03-23 19:09:51 +0000 (Sun, 23 Mar 2008) | 1 line

made test compile only

................

r43808 | ramey | 2008-03-23 19:10:31 +0000 (Sun, 23 Mar 2008) | 1 line

made test_static_warning compile only

................

r43809 | ramey | 2008-03-23 19:18:22 +0000 (Sun, 23 Mar 2008) | 1 line

removed superflous static cast

................

r43810 | eric_niebler | 2008-03-23 21:51:40 +0000 (Sun, 23 Mar 2008) | 1 line

mark up new foreach tests

................

comment:5 Changed 5 years ago by jhunold

  • Cc juergen.hunold@… added
  • Status changed from closed to reopened
  • Version changed from None to Boost Development Trunk
  • Resolution fixed deleted
  • Milestone set to Boost 1.38.0

This seems to be reverted in the release branch. Running

svnmerge merge -r42984 -S trunk

in the release branch results in

--- Merging r42984 into '.':
A    boost/graph/edmonds_karp_max_flow.hpp
U    boost/graph/edge_connectivity.hpp 
D    boost/graph/edmunds_karp_max_flow.hpp
U    libs/graph/test/max_flow_test.cpp
A    libs/graph/doc/edmonds_karp_max_flow.html
U    libs/graph/doc/kolmogorov_max_flow.html
U    libs/graph/doc/push_relabel_max_flow.html
D    libs/graph/doc/edmunds_karp_max_flow.html
U    libs/graph/example/edge-connectivity.cpp
U    libs/graph/example/regression.cfg
A    libs/graph/example/edmonds-karp-eg.cpp
D    libs/graph/example/edmunds-karp-eg.cpp

And it seems a "deprecation" header is missing (will attach one). Shall I proceed and merge both to release (regression result on trunk are green) ?

Changed 5 years ago by jhunold

edmonds_karp_deprecation_header

comment:6 Changed 5 years ago by jhunold

  • Owner changed from noel_belcourt to jhunold
  • Status changed from reopened to new

comment:7 Changed 5 years ago by jhunold

  • Status changed from new to closed
  • Resolution set to fixed

(In [50137]) Add deprecation header for wrong-spelled Edmonds-Karp-Max-Flox. Preparaion to fix #416

comment:8 Changed 5 years ago by jhunold

(In [50153]) Fix #416

Merged revisions 42984,50137 via svnmerge from  https://svn.boost.org/svn/boost/trunk

........

r42984 | noel_belcourt | 2008-01-26 19:35:59 +0100 (Sat, 26 Jan 2008) | 7 lines

Fixes #416

Fixed spelling of Jack Edmonds name and renamed files where necessary. Updated the documentation as well. Tested changes by building/running tests in libs/graph/test.

........

r50137 | jhunold | 2008-12-05 18:53:22 +0100 (Fri, 05 Dec 2008) | 3 lines

Add deprecation header for wrong-spelled Edmonds-Karp-Max-Flox. Preparaion to fix #416

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.